Home · Quickstart · User Guide and Examples · Interfaces Index · Developers · About · Nipy

# Changes in Nipype

## 1.10.0 (March 19, 2025)

New feature release in the 1.10.x series.

This release adds GPUs to multiprocess resource management. In general, no changes to existing code should be required if the GPU-enabled interface has a `use_gpu` input. The `n_gpu_procs` can be used to set the number of GPU processes that may be run in parallel, which will override the default of GPUs identified by `nvidia-smi`, or 1 if no GPUs are detected.

> - FIX: Reimplement `gpu_count()` (https://github.com/nipy/nipype/pull/3718)

> - FIX: Avoid 0D array in `algorithms.misc.merge_rois` (https://github.com/nipy/nipype/pull/3713)

> - FIX: Allow nipype.sphinx.ext.apidoc Config to work with Sphinx 8.2.1+ (https://github.com/nipy/nipype/pull/3716)

> - FIX: Resolve crashes when running workflows with updatehash=True (https://github.com/nipy/nipype/pull/3709)

> - ENH: Support for gpu queue (https://github.com/nipy/nipype/pull/3642)

> - ENH: Update to .wci.yml (https://github.com/nipy/nipype/pull/3708)

> - ENH: Add Workflow Community Initiative (WCI) descriptor (https://github.com/nipy/nipype/pull/3608)

## 1.9.2 (December 17, 2024)

Bug fix release in the 1.9.x series.

> - FIX: Missed np.savetxt bstring (https://github.com/nipy/nipype/pull/3704)

> - MAINT: Bump astral-sh/setup-uv from 3 to 4 (https://github.com/nipy/nipype/pull/3702)

> - MAINT: Bump codecov/codecov-action from 4 to 5 (https://github.com/nipy/nipype/pull/3703)

## 1.9.1 (November 19, 2024)

Bug fix release in the 1.9.x series.

This release adds support for Numpy 2 and Python 3.13.

> - FIX: Restore generate_gantt_chart functionality (https://github.com/nipy/nipype/pull/3290)

> - FIX: Address numpy and traits deprecations (https://github.com/nipy/nipype/pull/3699)

> - FIX: ts_Z_corr → ts_wb_Z (https://github.com/nipy/nipype/pull/3697)

> - ENH: Remove unused and recently unsupported antsRegistration flag (https://github.com/nipy/nipype/pull/3695)

> - MAINT: Bump codecov/codecov-action from 4 to 5 (https://github.com/nipy/nipype/pull/3698)

## 1.9.0 (October 31, 2024)

New feature release in the 1.9.x series.

> - FIX: Remove exists=True from fsl.MotionOutliers output that might not exist (https://github.com/nipy/nipype/pull/1428)

> - FIX: Improve evaluate_connect_function errors across Python versions (https://github.com/nipy/nipype/pull/3655)

> - FIX: Changed inheritance of TensorMetricsInputSpec (https://github.com/nipy/nipype/pull/3663)

> - FIX: Add cropped files to dcm2niix output (https://github.com/nipy/nipype/pull/3609)

> - FIX: Deduplicate dcm2niix output (https://github.com/nipy/nipype/pull/3610)

> - FIX: Parse commas in CSV fields (https://github.com/nipy/nipype/pull/3637)

> - FIX: MRTrix3 change inputs position for MRTransform (https://github.com/nipy/nipype/pull/3611)

> - FIX: Use out_prefix instead of “w” in spm.Normalize12 (https://github.com/nipy/nipype/pull/3600)

> - FIX: Fix typo in spm.Normalize12 process (https://github.com/nipy/nipype/pull/3599)

> - FIX: DWIPreproc issue (https://github.com/nipy/nipype/pull/3596)

> - FIX: DWIPreproc issue (https://github.com/nipy/nipype/pull/3596)

> - FIX: Fix bugs with `fsl_out=True` and `lta_out=True` (https://github.com/nipy/nipype/pull/3583)

> - FIX: Test failures (https://github.com/nipy/nipype/pull/3587)

> - FIX: update merge_imgs input type of dcm2niix Node (https://github.com/nipy/nipype/pull/3548)

> - FIX: update sample_random_points and random_seed type of ProbTrackXBaseInputSpec (https://github.com/nipy/nipype/pull/3556)

> - FIX: update self.inputs.optimization in outputs for GTMPVC (https://github.com/nipy/nipype/pull/3571)

> - ENH: Support HDF5 (mat 7.3) SPM.mat files (https://github.com/nipy/nipype/pull/3650)

> - ENH: FILMGLS gifti output support in surface mode (https://github.com/nipy/nipype/pull/3652)

> - ENH: Added available inputs for MRTrix3’s 5ttgen (https://github.com/nipy/nipype/pull/3658)

> - ENH: Add functions to mrtrix3 interface (https://github.com/nipy/nipype/pull/3613)

> - ENH: Update PETsurfer interface (https://github.com/nipy/nipype/pull/3602)

> - ENH: Add ‘hsvs’ option to 5ttgen + mrtransform fix (https://github.com/nipy/nipype/pull/3630)

> - ENH: add STC PVC to PETPVC interface (https://github.com/nipy/nipype/pull/3634)

> - ENH: Add GenericLabel to ANTS ApplyTransforms. (https://github.com/nipy/nipype/pull/3617)

> - ENH: Issue 3553 add mvecs to dcm2niix (https://github.com/nipy/nipype/pull/3554)

> - ENH: add contrast outputs for EstimatedModel (https://github.com/nipy/nipype/pull/3577)

> - ENH: Issue 3345: Adding FreeSurfer longitudinal interfaces (https://github.com/nipy/nipype/pull/3529)

> - ENH: Enable SPM voxel-based FDR (https://github.com/nipy/nipype/pull/3558)

> - REF: Replace deprecated pkgutil.find_loader with importlib.util.find_spec (https://github.com/nipy/nipype/pull/3692)

> - REF: io.open() → open() (https://github.com/nipy/nipype/pull/3575)

> - REF: Stop using deprecated import internally (https://github.com/nipy/nipype/pull/3561)

> - DOC: Patch doc/conf.py to work with latest ReadTheDocs (https://github.com/nipy/nipype/pull/3691)

> - DOC/FIX: Fix wrong name, should be al_ea (https://github.com/nipy/nipype/pull/3629)

> - DOC: Fix typos newly found by codespell (https://github.com/nipy/nipype/pull/3606)

> - STY: Apply ruff/pycodestyle rules (E) (https://github.com/nipy/nipype/pull/3689)

> - STY: Apply ruff rules (RUF) again (https://github.com/nipy/nipype/pull/3688)

> - STY: Apply ruff/Pyflakes rules (F) (https://github.com/nipy/nipype/pull/3681)

> - STY: Apply ruff/Perflint rules (PERF) again (https://github.com/nipy/nipype/pull/3687)

> - STY: Apply ruff/flake8-comprehensions preview rules (C4) (https://github.com/nipy/nipype/pull/3686)

> - STY: Apply ruff/flake8-simplify rules (SIM) (https://github.com/nipy/nipype/pull/3676)

> - STY: Apply ruff/flake8-bugbear rules (B) (https://github.com/nipy/nipype/pull/3671)

> - STY: Apply ruff/flake8-comprehensions rules (C4) (https://github.com/nipy/nipype/pull/3680)

> - STY: Apply ruff/Perflint rules (PERF) (https://github.com/nipy/nipype/pull/3674)

> - STY: Apply ruff/flake8-implicit-str-concat rules (ISC) (https://github.com/nipy/nipype/pull/3679)

> - STY: Apply ruff/flake8-pie rules (PIE) (https://github.com/nipy/nipype/pull/3678)

> - STY: Apply ruff/flake8-raise rules (RSE) (https://github.com/nipy/nipype/pull/3677)

> - STY: Apply ruff/flynt rules (FLY) (https://github.com/nipy/nipype/pull/3675)

> - STY: Apply ruff rules (RUF) (https://github.com/nipy/nipype/pull/3673)

> - STY: Codespell (https://github.com/nipy/nipype/pull/3672)

> - STY: Apply ruff/refurb rules (https://github.com/nipy/nipype/pull/3648)

> - STY: Apply ruff/pyupgrade rules (https://github.com/nipy/nipype/pull/3647)

> - STY: Adjusted variable names for clarity and codespell false positives (https://github.com/nipy/nipype/pull/3627)

> - STY: Remove duplicated trait in EddyOutputSpec (https://github.com/nipy/nipype/pull/3568)

> - STY: Black edits (https://github.com/nipy/nipype/pull/1)

> - MNT: Replace deprecated imghdr (https://github.com/nipy/nipype/pull/3659)

> - MNT: Use regular “.now” instead of “.utcnow” with UTC zone (https://github.com/nipy/nipype/pull/3670)

> - MNT: Apply assorted repo-review rules (https://github.com/nipy/nipype/pull/3682)

> - MNT: Drop traits upper bound (https://github.com/nipy/nipype/pull/3685)

> - MNT: Configure dependabot to update GH workflows (https://github.com/nipy/nipype/pull/3597)

> - MNT: Replace deprecated locale.getdefaultlocale (https://github.com/nipy/nipype/pull/3590)

> - MNT: Require Python 3.8+, auto-upgrade syntax (https://github.com/nipy/nipype/pull/3588)

> - CI: Test Python 3.12 support (https://github.com/nipy/nipype/pull/3638)

> - CI: Test on Python 3.11 (https://github.com/nipy/nipype/pull/3589)

> - CI/FIX: configure codespell, add workflow, typos fixed (https://github.com/nipy/nipype/pull/3549)

## 1.8.6 (April 05, 2023)

Bug-fix release in the 1.8.x series.

> - FIX: Update dcmstack interface for Py3 / newer pydicom (https://github.com/nipy/nipype/pull/3541)

> - FIX: NiBabel 5, and NetworkX 3 and DIPY 1.6 compatibility (https://github.com/nipy/nipype/pull/3538)

> - FIX: Check for non-mandatory output in DWIBiasCorrect (https://github.com/nipy/nipype/pull/3523)

> - FIX: Removed leftover debug print statement in FEAT class (https://github.com/nipy/nipype/pull/3521)

> - DOC: Fix a few more typos (https://github.com/nipy/nipype/pull/3516)

> - DOC: Fix typos found by codespell (https://github.com/nipy/nipype/pull/3512)

> - CI: Drop nipy tests until a fixed nipy is released (https://github.com/nipy/nipype/pull/3559)

> - CI: Disable nipy tests generally, re-add with max numpy (https://github.com/nipy/nipype/pull/3532)

> - CI: GitHub Workflows security hardening (https://github.com/nipy/nipype/pull/3519)

> - CI: Allow tutorial test cancellation (https://github.com/nipy/nipype/pull/3514)

## 1.8.5 (September 21, 2022)

Bug-fix release in the 1.8.x series.

> - FIX: Use interpolation/method in numpy.percentile as available (https://github.com/nipy/nipype/pull/3506)

> - FIX: Deployed Matlab applications must not call addpath() (https://github.com/nipy/nipype/pull/3509)

> - FIX: Provide more runtime information when node execution fails (https://github.com/nipy/nipype/pull/3505)

> - FIX: Fixed bug for work dirs longer than 255 characters, fixes #2061 (https://github.com/nipy/nipype/pull/3495)

> - FIX: Update ApplyVDM to handle 4D inputs (https://github.com/nipy/nipype/pull/3500)

> - ENH: Explicitly specify write_text encoding format (https://github.com/nipy/nipype/pull/3508)

> - DOC: Fix typos found by copdespell (https://github.com/nipy/nipype/pull/3510)

> - MAINT: Add github action to trigger tutorials for release branches (https://github.com/nipy/nipype/pull/3504)

> - CI: Set up build-test-deploy workflow on GHA (https://github.com/nipy/nipype/pull/3513)

## 1.8.4 (September 01, 2022)

Bug-fix release in the 1.8.x series.

This release sets a maximum traits version to avoid new, breaking changes.

> - MNT: Pin traits < 6.4 (https://github.com/nipy/nipype/pull/3501)

> - ENH: Add inputs to mrtrix3.DWIPreprocInputSpec and remove mandatory annotation for pe_dir (https://github.com/nipy/nipype/pull/3470)

## 1.8.3 (July 14, 2022)

Bug-fix release in the 1.8.x series.

This release includes compatibility fixes for nibabel 4.x and resolves a denial-of-service bug when the etelemetry server is down that resulted in excessive (blocking) network hits that would cause any tools using nipype interfaces to take a very long time.

(Full changelog)

> - FIX: Argument order to `numpy.save()` (https://github.com/nipy/nipype/pull/3485)

> - FIX: Add tolerance parameter to ComputeDVARS (https://github.com/nipy/nipype/pull/3489)

> - FIX: Delay access of nibabel.trackvis until actually needed (https://github.com/nipy/nipype/pull/3488)

> - FIX: Avoid excessive etelemetry pings (https://github.com/nipy/nipype/pull/3484)

> - ENH: Added outputs’ generation to DWIBiascorrect interface (https://github.com/nipy/nipype/pull/3476)

## 1.8.2 (June 06, 2022)

Bug-fix release in the 1.8.x series.

This release restores compatibility with networkx 2.8.3, which errors when graph nodes might conflict with pydot parsing.

(Full changelog)

> - ENH: Enable compression with Gunzip interface (https://github.com/nipy/nipype/pull/3472)

> - CI: Schedule weekly tests with cron (https://github.com/nipy/nipype/pull/3480)

## 1.8.1 (May 16, 2022)

Bug-fix release in the 1.8.x series.

The previous release vendored `distutils.version.LooseVersion`, and the vendored objects did not preserve compatibility with the `distutils` objects. This release switches to the `looseversion` package that ensures compatibility.

## 1.8.0 (May 10, 2022)

New feature release in the 1.8.x series.

The primary new features are a batch of PETSurfer interfaces.

This release drops support for Python < 3.7 and Numpy < 1.17, triggering a minor version bump. Additionally, matplotlib < 2.1 will stop working with some interfaces, but more recent versions will start working.

(Full changelog)

> - FIX: Change plt.hist() argument from deprecated ‘normed’ to ‘density’ (https://github.com/nipy/nipype/pull/3455)

> - ENH: Add random seed option to ANTs registration (https://github.com/nipy/nipype/pull/3463)

> - ENH: Add PETsurfer interfaces (https://github.com/nipy/nipype/pull/3437)

> - ENH: Add Text2Vest and Vest2Text interfaces (https://github.com/nipy/nipype/pull/3447)

> - REF: Optimize ICC_rep_anova with a memoized helper function (https://github.com/nipy/nipype/pull/3454)

> - REF: Rearranging matmul order and using hermitian flag in ICC_rep_anova (https://github.com/nipy/nipype/pull/3453)

> - MNT: Drop distutils (https://github.com/nipy/nipype/pull/3458)

> - CI: Cache test data (https://github.com/nipy/nipype/pull/3459)

## 1.7.1 (April 05, 2022)

(Full changelog)

> - FIX: Allow `ConvertScalarImageToRGBInputSpec.mask_file` to be `"none"` (https://github.com/nipy/nipype/pull/3364)

> - FIX: Use a more robust strategy for detecting ANTs version (https://github.com/nipy/nipype/pull/3444)

> - FIX: Retry renaming pkl(z) files on failure (https://github.com/nipy/nipype/pull/3404)

> - FIX: Escape metacharacters when parsing dcm2niix outputs (https://github.com/nipy/nipype/pull/3417)

> - FIX: Import error for nipype.interfaces.dipy.base (https://github.com/nipy/nipype/pull/3414)

> - FIX: `ValueError` when using `ResourceMonitor` (https://github.com/nipy/nipype/pull/3419)

> - FIX: Improve error handling of `CommandLine` interfaces (https://github.com/nipy/nipype/pull/3395)

> - FIX: Bugs in ApplyVDM interface (https://github.com/nipy/nipype/pull/3396)

> - ENH: Add MRTrix3 interfaces (pared-down gh-3426) (https://github.com/nipy/nipype/pull/3445)

> - ENH: Enable BidsDataGrabber to load saved layouts (https://github.com/nipy/nipype/pull/3421)

> - ENH: ROBEX interface (https://github.com/nipy/nipype/pull/3443)

> - ENH: Include several operations to ANTs’s ImageMath interface, including ReplicateImage and ReplicateDisplacement (https://github.com/nipy/nipype/pull/3435)

> - ENH: Add “GenericLabel” to antsRegistration interpolation option. (https://github.com/nipy/nipype/pull/3424)

> - ENH: added Apply VDM functionality to FieldMap SPM interface (https://github.com/nipy/nipype/pull/3394)

> - DOC: Side bar and main page fixes (https://github.com/nipy/nipype/pull/3397)

> - TEST: Allow SVD columns to flip sign (https://github.com/nipy/nipype/pull/3405)

> - MNT: rename dipy `move_streamlines` to `transform_tracking_output` (https://github.com/nipy/nipype/pull/3412)

> - MNT: Test on Python 3.10 (https://github.com/nipy/nipype/pull/3438)

> - MNT: Added ORCID iD (https://github.com/nipy/nipype/pull/3436)

## 1.7.0 (October 20, 2021)

(Full changelog)

> - FIX: Make ants.LaplacianThickness output_image a string, not file (https://github.com/nipy/nipype/pull/3393)

> - FIX: coord for mrconvert (https://github.com/nipy/nipype/pull/3369)

> - FIX: `antsRegistration` allows the `restrict_deformation` to be float (https://github.com/nipy/nipype/pull/3387)

> - FIX: Also allow errno.EBUSY during emptydirs on NFS (https://github.com/nipy/nipype/pull/3357)

> - FIX: Removed exists=True from MathsOutput (https://github.com/nipy/nipype/pull/3385)

> - FIX: Extension not extensions, after pybids v0.9 (https://github.com/nipy/nipype/pull/3380)

> - ENH: Add CAT12 SANLM denoising filter (https://github.com/nipy/nipype/pull/3374)

> - ENH: Add expected steps for FreeSurfer 7 recon-all (https://github.com/nipy/nipype/pull/3389)

> - ENH: Stop printing false positive differences when logging cached nodes (https://github.com/nipy/nipype/pull/3376)

> - ENH: Add new flags to MRtrix/preprocess.py (DWI2Tensor, MRtransform) (https://github.com/nipy/nipype/pull/3365)

> - ENH: `verbose` input should not be hashed in `ants.Registration` (https://github.com/nipy/nipype/pull/3377)

> - REF: Clean-up the BaseInterface `run()` function using context (https://github.com/nipy/nipype/pull/3347)

> - DOC: Fix typo in README (https://github.com/nipy/nipype/pull/3386)

> - STY: Make private member name consistent with the rest of them (https://github.com/nipy/nipype/pull/3346)

> - MNT: Simplify interface execution and better error handling of `Node` (https://github.com/nipy/nipype/pull/3349)

> - MNT: Add user name and email to Docker to appease git/annex/datalad (https://github.com/nipy/nipype/pull/3378)

> - CI: Update CircleCI machine image (https://github.com/nipy/nipype/pull/3391)

## 1.6.1 (June 16, 2021)

Bug-fix release in the 1.6.x series.

(Full changelog)

> - FIX: Set DistributedPluginBase.refidx type correctly (https://github.com/nipy/nipype/pull/3340)

> - FIX: change fsl interface randomise –f_only to –fonly for #3322 (https://github.com/nipy/nipype/pull/3325)

> - FIX: BET raising “No image files match: …” with very long file names (https://github.com/nipy/nipype/pull/3309)

> - FIX: Update SmoothEstimateOutputSpec resels description (https://github.com/nipy/nipype/pull/3316)

> - ENH: Adds interfaces for MRtrix utils shconv and sh2amp (https://github.com/nipy/nipype/pull/3280)

> - ENH: Interface for R (https://github.com/nipy/nipype/pull/3291)

> - ENH: Add CAT12 interfaces (https://github.com/nipy/nipype/pull/3310)

> - ENH: AFNI 3dNetCorr as afni.NetCorr (https://github.com/nipy/nipype/pull/3263)

> - ENH: Skip newline before Python call in batch submission to facilitate containerized runs (https://github.com/nipy/nipype/pull/3297)

> - ENH: Add new dwifslpreproc interface for MRtrix3 (https://github.com/nipy/nipype/pull/3278)

> - REF: Cache nodes in workflow to speed up construction, other optimizations (https://github.com/nipy/nipype/pull/3331)

> - DOC: Fixed Developer Setup Link in install.rst (https://github.com/nipy/nipype/pull/3330)

> - MNT: Blacklist Dipy 1.4.1 (https://github.com/nipy/nipype/pull/3335)

> - MNT: Drop support for numpy < 1.15.3 (https://github.com/nipy/nipype/pull/3284)

> - CI: Build docker images with Python 3.8 (https://github.com/nipy/nipype/pull/3287)

> - CI: Drop Circle doc builds (https://github.com/nipy/nipype/pull/3338)

> - CI: Drop Travis (https://github.com/nipy/nipype/pull/3332)

> - CI: Build docker images with Python 3.8 (https://github.com/nipy/nipype/pull/3287)

> - CI: Add specs and style checks (https://github.com/nipy/nipype/pull/3321)

> - CI: Move from Travis to GitHub actions (https://github.com/nipy/nipype/pull/3318)

## 1.6.0 (November 28, 2020)

New feature release in the 1.6.x series.

In addition to the usual bug fixes, significant reductions were made in workflow startup costs.

(Full changelog)

> - FIX: Canonicalize environment dicts to strings in Windows (https://github.com/nipy/nipype/pull/3267)

> - FIX: Purge deprecated exception content accesses (https://github.com/nipy/nipype/pull/3272)

> - FIX: Handle changes in CLI structure of mrtrix3.DWIBiasCorrect (https://github.com/nipy/nipype/pull/3248)

> - FIX: EpiReg changed to not list certain outputs when ‘wmseg’ input is specified (https://github.com/nipy/nipype/pull/3265)

> - FIX: CI issues (https://github.com/nipy/nipype/pull/3262)

> - FIX: SPM SliceTiming must accept either Int or float for ref_slice and sli… (https://github.com/nipy/nipype/pull/3255)

> - FIX: Raise version error when using `-g` with `antsAI` < 2.3.0 (https://github.com/nipy/nipype/pull/3256)

> - FIX: No longer depending on pydotplus (networkx >=2.0 update) (https://github.com/nipy/nipype/pull/3251)

> - FIX: ANTs’ utilities revision - bug fixes and add more operations to `ants.ImageMath` (https://github.com/nipy/nipype/pull/3236)

> - ENH: Handle unavailable traits due to version differences (https://github.com/nipy/nipype/pull/3273)

> - ENH: Optimize workflow.run performance (https://github.com/nipy/nipype/pull/3260)

> - DOC: Remove myself (@mr-c) from the zenodo metadata (https://github.com/nipy/nipype/pull/3271)

## 1.5.1 (August 16, 2020)

Bug-fix release in the 1.5.x series.

This release includes small updates to ANTs utilities that lie somewhere between bug fixes and enhancements.

(Full changelog)

> - FIX: Warn for min/max_ver traits when tool version can’t be parsed (https://github.com/nipy/nipype/pull/3241)

> - FIX: Serialize all interface arguments when exporting workflows (https://github.com/nipy/nipype/pull/3240)

> - FIX: Permit identity transforms in list of transforms given to ants.ApplyTransforms (https://github.com/nipy/nipype/pull/3237)

> - FIX: ANTs’ utilities revision - bug fixes and add more operations to `ants.ImageMath` (https://github.com/nipy/nipype/pull/3236)

> - DOC: Skip BIDSDataGrabber doctest if pybids is missing (https://github.com/nipy/nipype/pull/3224)

## 1.5.0 (June 03, 2020)

New feature release in the 1.5.x series.

In this release, the example scripts have been split out into their own package: niflow-nipype1-examples.

(Full changelog)

> - FIX: volterra_expansion_order documentation error (https://github.com/nipy/nipype/pull/3213)

> - FIX: BET incorrect output paths (https://github.com/nipy/nipype/pull/3214)

> - FIX: Terminal output in `report.rst` spreads one line per character (https://github.com/nipy/nipype/pull/3220)

> - FIX: Allow parsing freesurfer 7 version string (https://github.com/nipy/nipype/pull/3216)

> - FIX: Use PackageInfo to get NiftyReg version (https://github.com/nipy/nipype/pull/3194)

> - FIX: Partial rollback of N4BiasFieldCorrection (https://github.com/nipy/nipype/pull/3188)

> - FIX: ANTs’ tools maintenance overhaul (https://github.com/nipy/nipype/pull/3180)

> - FIX: load_resultfile crashes if open resultsfile from crashed job (https://github.com/nipy/nipype/pull/3182)

> - FIX: FSL model.py make multiple F-tests (https://github.com/nipy/nipype/pull/3166)

> - ENH: Restore ants.legacy interfaces (https://github.com/nipy/nipype/pull/3222)

> - ENH: Add `"TruncateImageIntensity"` operation to `ants.utils.Image.Math` (https://github.com/nipy/nipype/pull/3210)

> - ENH: SPM NewSegment multi-channel segmentation (https://github.com/nipy/nipype/pull/3162)

> - ENH: Add reverse-ordered transform lists to ants.Registration outputs (https://github.com/nipy/nipype/pull/3192)

> - ENH: Improve workflow connect performance (https://github.com/nipy/nipype/pull/3184)

> - ENH: Add `ConstrainedSphericalDeconvolution` interface to replace `EstimateFOD` for MRtrix3’s `dwi2fod` (https://github.com/nipy/nipype/pull/3176)

> - ENH: Detect values for EulerNumber interface (https://github.com/nipy/nipype/pull/3173)

> - ENH: Remove examples from repository (https://github.com/nipy/nipype/pull/3172)

> - TEST: Clean up tests (https://github.com/nipy/nipype/pull/3195)

> - TEST: Mock terminal output before testing changing default value (https://github.com/nipy/nipype/pull/3193)

> - REF: make invocations of python and pytest consistent with the one used/desired python (https://github.com/nipy/nipype/pull/3208)

> - REF: Prefer math.gcd to hand-rolled Euclid’s algorithm (https://github.com/nipy/nipype/pull/3177)

> - REF: Removed all uses of numpy_mmap (https://github.com/nipy/nipype/pull/3121)

> - DOC: Sphinx 3 compatibility (https://github.com/nipy/nipype/pull/3206)

> - DOC: Update links, typos in contributing guide (https://github.com/nipy/nipype/pull/3160)

> - DOC: Update SelectFiles docstring to match actual behavior (https://github.com/nipy/nipype/pull/3041)

> - DOC: Updated .zenodo.json file (https://github.com/nipy/nipype/pull/3167)

> - DOC: Update .zenodo.json (https://github.com/nipy/nipype/pull/3165)

> - MNT: Permit recent nilearns (https://github.com/nipy/nipype/pull/2841)

> - MNT: Test Python 3.8 (https://github.com/nipy/nipype/pull/3154)

> - MNT: Restore ReadTheDocs (https://github.com/nipy/nipype/pull/3207)

> - MNT: Update Zenodo ordering based on commit count (https://github.com/nipy/nipype/pull/3169)

## 1.4.2 (February 14, 2020)

(Full changelog)

> - FIX: Allow `fsl.MultipleRegressDesign` to create multiple F-tests (https://github.com/nipy/nipype/pull/3166)

> - FIX: Reliably parse SGE job IDs in the presence of warnings (https://github.com/nipy/nipype/pull/3168)

> - FIX: Move TraitType import, handle API change for NoDefaultSpecified (https://github.com/nipy/nipype/pull/3159)

## 1.4.1 (January 27, 2020)

(Full changelog)

> - FIX: DataSink to S3 buckets (https://github.com/nipy/nipype/pull/3130)

> - FIX: improve version checking for nodes of workflows (https://github.com/nipy/nipype/pull/3152)

> - FIX: mapnode to generate result file when crashes in single node mode (https://github.com/nipy/nipype/pull/3143)

> - FIX: Can’t seem to import workflows from niflows in CircleCI (https://github.com/nipy/nipype/pull/3134)

> - FIX: Repair aftermath of docs refactor (https://github.com/nipy/nipype/pull/3133)

> - FIX: change ANTS number_of_time_steps from Float to Int (https://github.com/nipy/nipype/pull/3118)

> - DOC: Revise generation of examples to work in RTD (https://github.com/nipy/nipype/pull/3132)

> - DOC: Bring examples generation back to `doc/conf.py` (https://github.com/nipy/nipype/pull/3131)

> - DOC: Documentation overhaul (https://github.com/nipy/nipype/pull/3124)

> - DOC: Deep revision of documentation building (https://github.com/nipy/nipype/pull/3120)

> - DOC: Deduplicate code for Sphinx’s APIdoc generation (https://github.com/nipy/nipype/pull/3119)

> - MNT: Update requirements.txt post-1.4 (https://github.com/nipy/nipype/pull/3153)

## 1.4.0 (December 20, 2019)

(Full changelog)

> - FIX: Mark strings containing regex escapes as raw (https://github.com/nipy/nipype/pull/3106)

> - ENH: Pacify DeprecationWarnings caused by nibabel 3 pre-release (https://github.com/nipy/nipype/pull/3099)

> - ENH: Allow Nipype configuration directory to be specified with NIPYPE_CONFIG_DIR environment variable (https://github.com/nipy/nipype/pull/3073)

> - ENH: Add options and outputs to `fsl.Eddy` interface (https://github.com/nipy/nipype/pull/3034)

> - ENH: Add skull_file output to fsl.BET interface (https://github.com/nipy/nipype/pull/3095)

> - RF: Drop various remaining compatibilities for Python < 3.5 (https://github.com/nipy/nipype/pull/2831)

> - DOC: Add Python 2 statement to README, reference maintenance branch in CONTRIBUTING (https://github.com/nipy/nipype/pull/3115)

> - DOC: Miss underline before cmd in example code (https://github.com/nipy/nipype/pull/3107)

> - STY: Black (https://github.com/nipy/nipype/pull/3096)

> - MNT: Set junit_family to suppress pytest warning (https://github.com/nipy/nipype/pull/3111)

> - MNT: Fix Dorota Jarecka ORCID (https://github.com/nipy/nipype/pull/3100)

> - MNT: Drop Python 2 support (https://github.com/nipy/nipype/pull/2654)

## 1.3.1 (November 12, 2019)

> - FIX: Restore checking traits or bunch (https://github.com/nipy/nipype/pull/3094)

## 1.3.0 (November 11, 2019)

(Full changelog)

> - FIX: Fixed typo in QwarpInputSpec Trait description (https://github.com/nipy/nipype/pull/3079)

> - FIX: Restore `AFNICommand._get_fname`, required by some interfaces (https://github.com/nipy/nipype/pull/3071)

> - FIX: Remove asynchronous chdir callback (https://github.com/nipy/nipype/pull/3060)

> - FIX: Minimize scope for directory changes while loading results file (https://github.com/nipy/nipype/pull/3061)

> - ENH: Minimize the number of calls to `_load_results` when populating inputs (https://github.com/nipy/nipype/pull/3075)

> - ENH: Refactor savepkl/loadpkl - add a window for loadpkl to wait for the file (https://github.com/nipy/nipype/pull/3089)

> - ENH: Add “ExportFile” interface as simple alternative to “DataSink” (https://github.com/nipy/nipype/pull/3054)

> - ENH: Allow nipype.cfg in cwd to be read even if ~/.nipype does not exist (https://github.com/nipy/nipype/pull/3072)

> - ENH: Add precommit information for contributors and pre-commit style (https://github.com/nipy/nipype/pull/3063)

> - ENH: Delay etelemetry for non-interactive sessions, report bad versions (https://github.com/nipy/nipype/pull/3049)

> - ENH: Run memoized check_version at REPL import, Node/Workflow/Interface init (https://github.com/nipy/nipype/pull/30)

> - RF: Provide functions to augment old Path.mkdir, Path.resolve methods (https://github.com/nipy/nipype/pull/3050)

> - RF: Redirect nipype.workflows to niflow.nipype1.workflows (https://github.com/nipy/nipype/pull/3067)

> - TST: Skip dcm2niix test if data fails to download (https://github.com/nipy/nipype/pull/3059)

> - TST: dcm2niix test fix (https://github.com/nipy/nipype/pull/3058)

> - MAINT: Drop Python 3.4 support (https://github.com/nipy/nipype/pull/3062)

> - CI: `make specs` on Travis (https://github.com/nipy/nipype/pull/3066)

## 1.2.3 (September 23, 2019)

Python 1.2.3 will be the last version to support Python 3.4.

(Full changelog)

> - FIX: Patch Path.mkdir for Python 2 (https://github.com/nipy/nipype/pull/3037)

> - FIX: Drop deprecated message argument to `FileNotFoundError` (https://github.com/nipy/nipype/pull/3035)

> - FIX: Handle NIFTI extensions in `afni.Qwarp` (https://github.com/nipy/nipype/pull/3028)

> - FIX: Disallow returning `None` in `pipeline.utils.load_resultfile` (https://github.com/nipy/nipype/pull/3023)

> - ENH: Allow afni.CatMatvec to accept empty string opkeys (https://github.com/nipy/nipype/pull/2943)

> - ENH: Add `mrrtrix3.MRResize` interface (https://github.com/nipy/nipype/pull/3031)

> - ENH: Add version check / telemetry to Nipype (https://github.com/nipy/nipype/pull/3027)

> - ENH: Update MCFLIRT outputs for FSL 6+ (https://github.com/nipy/nipype/pull/3029)

> - ENH: Lightweight node cache checking (https://github.com/nipy/nipype/pull/3026)

> - ENH: Avoid loading result from file when writing reports (https://github.com/nipy/nipype/pull/3024)

> - ENH: replace portalocker with filelock (https://github.com/nipy/nipype/pull/3025)

> - MAINT: Set minimum yapf for checkspecs to 0.27 (https://github.com/nipy/nipype/pull/3033)

## 1.2.2 (September 07, 2019)

(Full changelog)

> - FIX: Ensure `loadpkl` returns a not None value (https://github.com/nipy/nipype/pull/3020)

> - FIX: `loadpkl` failed when pklz file contained versioning info (https://github.com/nipy/nipype/pull/3017)

> - FIX: Update mne.WatershedBEM command line (https://github.com/nipy/nipype/pull/3007)

> - FIX: Specify correct stop criterion flag in PETPVC (https://github.com/nipy/nipype/pull/3010)

> - ENH: Add interface for AFNI `3dTsmooth` (https://github.com/nipy/nipype/pull/2948)

> - ENH: Additional arguments to ANTs N4BiasFieldCorrection (https://github.com/nipy/nipype/pull/3012)

> - ENH: Add `--rescale-intensities` and name_source to N4BiasFieldCorrection (https://github.com/nipy/nipype/pull/3011)

> - ENH: Add index_mask_file input to ImageStats (https://github.com/nipy/nipype/pull/3005)

> - RF: Remove versioning from `loadpkl` (https://github.com/nipy/nipype/pull/3019)

> - MAINT: Add `python_requires` to package metadata (https://github.com/nipy/nipype/pull/3006)

## 1.2.1 (August 19, 2019)

(Full changelog)

> - FIX: Resolve/rebase paths from/to results files (https://github.com/nipy/nipype/pull/2971)

> - FIX: Use `load_resultfile` when loading a results pickle (https://github.com/nipy/nipype/pull/2985)

> - FIX: Incorrect extension identified when checking `File` traits (https://github.com/nipy/nipype/pull/2987)

> - FIX: Correctly pickle `OuputMultiObject` traits (https://github.com/nipy/nipype/pull/2983)

> - FIX: Improve output handling in DWIDenoise and DWIBiasCorrect (https://github.com/nipy/nipype/pull/2978)

> - FIX: Docker build (https://github.com/nipy/nipype/pull/2963)

> - FIX: Remove ‘=’ signs from EddyQuad argument specifications (https://github.com/nipy/nipype/pull/2941)

> - FIX: Set input model to bedpostx for camino.TrackBedpostxProba (https://github.com/nipy/nipype/pull/2947)

> - FIX: Allow `max_sh` to not be set (auto mode) (https://github.com/nipy/nipype/pull/2940)

> - ENH: Update mrtrix reconst.py EstimateFOD max_sh to be able to accept list (https://github.com/nipy/nipype/pull/2990)

> - ENH: Let `indirectory` handle `nipype.utils.filemanip.Path` (https://github.com/nipy/nipype/pull/2989)

> - ENH: Add resolve/rebase `BasePath` traits methods & tests (https://github.com/nipy/nipype/pull/2970)

> - ENH: Modify `Directory` and `File` traits to get along with pathlib (https://github.com/nipy/nipype/pull/2962)

> - REF: Update nipype2boutiques script (https://github.com/nipy/nipype/pull/2894)

> - TST: Parametrize JoinNode expansion tests over config `needed_outputs` (https://github.com/nipy/nipype/pull/2981)

> - MAINT: Pin lxml<4.4.0 for Python 3.4 (https://github.com/nipy/nipype/pull/2980)

> - MAINT: Refactor `aggregate_outputs` for readability (https://github.com/nipy/nipype/pull/2969)

> - MAINT: Bump neurodocker version (https://github.com/nipy/nipype/pull/2965)

> - MAINT: Various minor improvements to complement previous PR (https://github.com/nipy/nipype/pull/2964)

> - MAINT: Sort dependencies alphabetically (https://github.com/nipy/nipype/pull/2961)

## 1.2.0 (May 09, 2019)

(Full changelog)

> - FIX: Parsing of filename in AlignEpiAnatPy when filename does not have + (https://github.com/nipy/nipype/pull/2909)

> - FIX: Import nibabel reorientation bug fix (https://github.com/nipy/nipype/pull/2912)

> - FIX: Update FNIRT outputs for warped_file log_file to include cwd (https://github.com/nipy/nipype/pull/2900)

> - FIX: Sort conditions in bids_gen_info to ensure consistent order (https://github.com/nipy/nipype/pull/2867)

> - FIX: Some traits-5.0.0 don’t work with Python 2.7 (https://github.com/nipy/nipype/pull/1)

> - ENH: CompCor enhancement (https://github.com/nipy/nipype/pull/2878)

> - ENH: Do not override caught exceptions with FileNotFoundError from unfinished hashfile (https://github.com/nipy/nipype/pull/2919)

> - ENH: More verbose description when a faulty results file is loaded (https://github.com/nipy/nipype/pull/2920)

> - ENH: Add all DIPY workflows dynamically (https://github.com/nipy/nipype/pull/2905)

> - ENH: Add mrdegibbs and dwibiascorrect from mrtrix3 (https://github.com/nipy/nipype/pull/2904)

> - TEST: Fix CI builds (https://github.com/nipy/nipype/pull/2927)

> - MAINT: Reduce deprecation warnings (https://github.com/nipy/nipype/pull/2903)

## 1.1.9 (February 25, 2019)

(Full changelog)

> - FIX: Make positional arguments to LaplacianThickness require previous argument (https://github.com/nipy/nipype/pull/2848)

> - FIX: Import math and csv modules for bids_gen_info (https://github.com/nipy/nipype/pull/2881)

> - FIX: Ensure outputs can be listed in camino.ProcStreamlines by defining instance variable (https://github.com/nipy/nipype/pull/2739)

> - ENH: Allow afni.MaskTool to take multiple input files (https://github.com/nipy/nipype/pull/2892)

> - ENH: Add flags dictionary input to spm.Level1Design (https://github.com/nipy/nipype/pull/2861)

> - ENH: Threshold stddev once only in TSNR (https://github.com/nipy/nipype/pull/2883)

> - ENH: Add workbench.CiftiSmooth interface (https://github.com/nipy/nipype/pull/2871)

> - DOC: Replace initialism typo in comment with intended phrase (https://github.com/nipy/nipype/pull/2875)

> - DOC: Fix typos in ANTs Registration input documentation (https://github.com/nipy/nipype/pull/2869)

## 1.1.8 (January 28, 2019)

(Full changelog)

> - FIX: ANTS LaplacianThickness cmdline opts fixed up (https://github.com/nipy/nipype/pull/2846)

> - FIX: Resolve LinAlgError during SVD (https://github.com/nipy/nipype/pull/2838)

> - ENH: Add interfaces wrapping DIPY workflows (https://github.com/nipy/nipype/pull/2830)

> - ENH: Update BIDSDataGrabber for pybids 0.7 (https://github.com/nipy/nipype/pull/2737)

> - ENH: Add FSL eddy_quad interface (https://github.com/nipy/nipype/pull/2825)

> - ENH: Support tckgen -select in MRtrix3 v3+ (https://github.com/nipy/nipype/pull/2823)

> - ENH: Support for BIDS event files (https://github.com/nipy/nipype/pull/2845)

> - ENH: CompositeTransformUtil, new ANTs interface (https://github.com/nipy/nipype/pull/2785)

> - RF: Move pytest and pytest-xdist from general requirement into tests_required (https://github.com/nipy/nipype/pull/2850)

> - DOC: Add S3DataGrabber example (https://github.com/nipy/nipype/pull/2849)

> - DOC: Skip conftest module in API generation (https://github.com/nipy/nipype/pull/2852)

> - DOC: Hyperlink DOIs to preferred resolver (https://github.com/nipy/nipype/pull/2833)

> - MAINT: Install numpy!=1.16.0 from conda in Docker (https://github.com/nipy/nipype/pull/2862)

> - MAINT: Drop pytest-xdist requirement, minimum pytest version (https://github.com/nipy/nipype/pull/2856)

> - MAINT: Disable numpy 1.16.0 for Py2.7 (https://github.com/nipy/nipype/pull/2855)

## 1.1.7 (December 17, 2018)

(Full changelog)

> - FIX: Copy node list before generating a flat graph (https://github.com/nipy/nipype/pull/2828)

> - FIX: Update pytest req’d version to 3.6 (https://github.com/nipy/nipype/pull/2827)

> - FIX: Set ResourceMonitor.fname to an absolute path (https://github.com/nipy/nipype/pull/2824)

> - FIX: Order of SPM.NewSegment channel_info boolean tuple is (Field, Corrected) (https://github.com/nipy/nipype/pull/2817)

> - FIX: Indices were swapped for memory and cpu profile data (https://github.com/nipy/nipype/pull/2816)

> - FIX: `status_callback` not called with `stop_on_first_crash` (https://github.com/nipy/nipype/pull/2810)

> - FIX: Change undefined ScriptError on LFS plugin to IOError (https://github.com/nipy/nipype/pull/2803)

> - ENH: Add NaN failure mode to CompCor interfaces (https://github.com/nipy/nipype/pull/2819)

> - ENH: Enable cnr_maps and residuals outputs for FSL eddy (https://github.com/nipy/nipype/pull/2750)

> - ENH: Improve `str2bool` + doctests (https://github.com/nipy/nipype/pull/2807)

> - TST: Improve py.test configuration of doctests (https://github.com/nipy/nipype/pull/2802)

> - DOC: Update DOI badge to point to all versions (https://github.com/nipy/nipype/pull/2804)

> - MAINT: Offload interfaces with help formatting (https://github.com/nipy/nipype/pull/2797)

> - MAINT: Reduce minimal code redundancy in filemanip.get_dependencies (https://github.com/nipy/nipype/pull/2782)

> - MAINT: Delayed imports to reduce import time (https://github.com/nipy/nipype/pull/2809)

## 1.1.6 (November 26, 2018)

(Full changelog)

> - FIX: MapNodes fail when `MultiProcPlugin` passed by instance (https://github.com/nipy/nipype/pull/2786)

> - FIX: –fineTune arguments order for MeshFix command (https://github.com/nipy/nipype/pull/2780)

> - ENH: Add mp_context plugin arg for MultiProc (https://github.com/nipy/nipype/pull/2778)

> - ENH: Create a crashfile even if ‘stop_on_first_crash’ is set (https://github.com/nipy/nipype/pull/2774)

> - ENH: Add ExtractedBrainN4 output to ANTs CorticalThickness interface (https://github.com/nipy/nipype/pull/2784)

> - STY: Combine split import (https://github.com/nipy/nipype/pull/2801)

> - DOC: use https in css stylesheet url (https://github.com/nipy/nipype/pull/2779)

> - MAINT: Outsource `get_filecopy_info()` from interfaces (https://github.com/nipy/nipype/pull/2798)

> - MAINT: Import only Sequence to avoid DeprecationWarning (https://github.com/nipy/nipype/pull/2793)

> - MAINT: One less DeprecationWarning (configparser) (https://github.com/nipy/nipype/pull/2794)

> - MAINT: DeprecationWarning: use `HasTraits.trait_set` instead (https://github.com/nipy/nipype/pull/2792)

> - MAINT: Stop using deprecated `logger.warn()` (https://github.com/nipy/nipype/pull/2788)

> - MAINT: Move `interfaces.base.run_command` to `nipype.utils.subprocess` (https://github.com/nipy/nipype/pull/2777)

> - MAINT: Force numpy>=1.15.4 when Python>=3.7 (https://github.com/nipy/nipype/pull/2775)

## 1.1.5 (November 08, 2018)

Hotfix release.

(Full changelog)

> - ENH: Allow timeouts during SLURM job status checks (https://github.com/nipy/nipype/pull/2767)

> - RF: Subclass non-daemon variants of all multiprocessing contexts (https://github.com/nipy/nipype/pull/2771)

## 1.1.4 (October 31, 2018)

(Full changelog)

> - FIX: Python 2.7-3.7.1 compatible NonDaemonPool (https://github.com/nipy/nipype/pull/2754)

> - FIX: VRML typo (VMRL) in MeshFix (https://github.com/nipy/nipype/pull/2757)

> - FIX: Refine FSL.split output identification (https://github.com/nipy/nipype/pull/2746)

> - FIX: Reuse _gen_filename logic in ants.LaplacianThickness (https://github.com/nipy/nipype/pull/2734)

> - FIX: Remove ‘reg_term’ default from dwi2tensor interface (https://github.com/nipy/nipype/pull/2731)

> - FIX: Keep profile files when `remove_unnecessary_outputs = true` (https://github.com/nipy/nipype/pull/2718)

> - ENH: Add afni.LocalStat and afni.ReHo, update afni.ROIStats inputs (https://github.com/nipy/nipype/pull/2740)

> - ENH: Add compression option for bru2nii (https://github.com/nipy/nipype/pull/2762)

> - ENH: Add slice_encoding_direction input to TShift (https://github.com/nipy/nipype/pull/2753)

> - ENH: Add ‘sse’ output to FSL DTIFit interface (https://github.com/nipy/nipype/pull/2749)

> - ENH: Update `ants.LaplacianThickness` to use `name_source` (https://github.com/nipy/nipype/pull/2747)

> - ENH: Add tab completion for node and interface inputs properties (https://github.com/nipy/nipype/pull/2735)

> - ENH: enable/disable resource monitor in the fixture per test (https://github.com/nipy/nipype/pull/2725)

> - TEST: Update expected dotfile text for networkx 1.x (https://github.com/nipy/nipype/pull/2730)

> - DOC: Move user docs from nipype to nipype_tutorial (https://github.com/nipy/nipype/pull/2726)

> - DOC: Use consistent name in reconall workflow docstring (https://github.com/nipy/nipype/pull/2758)

> - MAINT: Use neurodocker 0.4.1 + apt install afni (https://github.com/nipy/nipype/pull/2707)

> - MAINT: Fix prov and rdflib in nipype (https://github.com/nipy/nipype/pull/2701)

> - MAINT: Correct readthedocs build error (https://github.com/nipy/nipype/pull/2723)

> - MAINT: Pin codecov to <5.0 so Travis is fixed (https://github.com/nipy/nipype/pull/2728)

> - CI: Lock travis pybids 0.6.5 (https://github.com/nipy/nipype/pull/2720)

## 1.1.3 (September 24, 2018)

(Full changelog)

> - FIX: Return afni.Qwarp outputs as absolute paths (https://github.com/nipy/nipype/pull/2705)

> - FIX: Add informative error for interfaces that fail to return valid runtime object (https://github.com/nipy/nipype/pull/2692)

> - FIX: Construct MCFLIRT output paths relative to out_file (https://github.com/nipy/nipype/pull/2703)

> - FIX: SLURM plugin polling (https://github.com/nipy/nipype/pull/2693)

> - FIX: Handle missing substring in SPM docs (https://github.com/nipy/nipype/pull/2691)

> - ENH: Add colorFA output to DIPY DTI interface (https://github.com/nipy/nipype/pull/2695)

> - RF: Use runtime.cwd in Rename (https://github.com/nipy/nipype/pull/2688)

> - DOC: Fix naming of motion parameters (roll/yaw swapped) (https://github.com/nipy/nipype/pull/2696)

> - DOC: Update links to user and developer help forums (https://github.com/nipy/nipype/pull/2686)

> - CI: Test 3.7, resume testing nipy extras (https://github.com/nipy/nipype/pull/2682)

## 1.1.2 (August 11, 2018)

Hot-fix release, resolving incorrect dependencies in 1.1.1 wheel.

(Full changelog)

> - FIX: Read BIDS config.json under grabbids or layout (https://github.com/nipy/nipype/pull/2679)

> - FIX: Node __repr__ and detailed graph expansion (https://github.com/nipy/nipype/pull/2669)

> - FIX: Prevent double-collapsing of nested lists by OutputMultiObject (https://github.com/nipy/nipype/pull/2673)

> - ENH: Add interface to SPM realign_unwarp (https://github.com/nipy/nipype/pull/2635)

> - MAINT: Fix wheel build to ensure futures is only required in Python 2 (https://github.com/nipy/nipype/pull/2678)

> - MAINT: ensure interface _cmd only includes executable (https://github.com/nipy/nipype/pull/2674)

> - MAINT: Issue template: Pretty print platform details (https://github.com/nipy/nipype/pull/2671)

> - CI: removing travis_retry for pip install pytest xdist 1.22.5 (https://github.com/nipy/nipype/pull/2664)

## 1.1.1 (July 30, 2018)

(Full changelog)

> - FIX: Un-set incorrect default options in TOPUP (https://github.com/nipy/nipype/pull/2637)

> - FIX: Copy FSCommand.version to ReconAll.version (https://github.com/nipy/nipype/pull/2656)

> - FIX: Various BIDSDataGrabber fixes (https://github.com/nipy/nipype/pull/2651)

> - FIX: changing Node._output_dir to realpath (https://github.com/nipy/nipype/pull/2639)

> - FIX: Typo in DWIExtract of Mrtrix3interface (https://github.com/nipy/nipype/pull/2634)

> - FIX: Typo in FSLXCommandInputSpec (https://github.com/nipy/nipype/pull/2628)

> - ENH: Allow transform to be saved from AFNI 3dWarp (https://github.com/nipy/nipype/pull/2642)

> - ENH: Allow BIDS-style slice timings to be passed directly to TShift (https://github.com/nipy/nipype/pull/2608)

> - ENH: S3 access using instance role (https://github.com/nipy/nipype/pull/2621)

> - ENH Minor improvements to PR template (https://github.com/nipy/nipype/pull/2636)

> - TEST: make specs (https://github.com/nipy/nipype/pull/2653)

> - DOC: update neurodocker tutorial for neurodocker version 0.4.0 (https://github.com/nipy/nipype/pull/2647)

> - MAINT: Remove vestiges of nose testing library (https://github.com/nipy/nipype/pull/2662)

> - MAINT: Make pytest-xdist a dependency (https://github.com/nipy/nipype/pull/2649)

> - CI: Install pytest>=3.4 in Travis (https://github.com/nipy/nipype/pull/2659)

## 1.1.0 (July 04, 2018)

(Full changelog)

> - RF: Futures-based MultiProc (https://github.com/nipy/nipype/pull/2598)

> - FIX: Avoid closing file descriptors on Windows (https://github.com/nipy/nipype/pull/2617)

> - MAINT: Play nice with external logging (https://github.com/nipy/nipype/pull/2611)

> - MAINT: Remove ignore_exception and terminal_output traits from input specs (https://github.com/nipy/nipype/pull/2618)

> - MAINT: Converge autotest names (https://github.com/nipy/nipype/pull/2610)

> - ENH: Add versioning metadata to crash files (https://github.com/nipy/nipype/pull/2626)

> - ENH add -dsort option to TProject (https://github.com/nipy/nipype/pull/2623)

> - ENH: Add Rescale interface (https://github.com/nipy/nipype/pull/2599)

> - DOC: Improve documentation for ANTs/FSL interfaces (https://github.com/nipy/nipype/pull/2593)

> - CI: Stop using Miniconda on Travis (https://github.com/nipy/nipype/pull/2600)

> - CI: Add PyPI validation on rel/* branches (https://github.com/nipy/nipype/pull/2603)

## 1.0.4 (May 29, 2018)

(Full changelog)

> - FIX: Update logging levels in enable_debug_mode (https://github.com/nipy/nipype/pull/2595)

> - FIX: Set default result in DistributedPluginBase._clean_queue (https://github.com/nipy/nipype/pull/2596)

> - FIX: Correctly connect JoinNodes in nested iterables (https://github.com/nipy/nipype/pull/2597)

> - FIX: DTITK nonlinear workflow origin reslicing (https://github.com/nipy/nipype/pull/2561)

> - FIX: ResponseSD support for multiple b-vals (https://github.com/nipy/nipype/pull/2582)

> - FIX: Workaround to ICA-AROMA change of directory (https://github.com/nipy/nipype/pull/2566)

> - FIX/TEST: Gunzip cleanup and test (https://github.com/nipy/nipype/pull/2564)

> - FIX: Print UID in crashfile if login name is unavailable (https://github.com/nipy/nipype/pull/2563)

> - ENH: initial connectome workbench support (https://github.com/nipy/nipype/pull/2594)

> - ENH: AFNI (3d)LocalBistat interface (https://github.com/nipy/nipype/pull/2590)

> - ENH: Reorient interface (https://github.com/nipy/nipype/pull/2572)

> - ENH: FSL slice interface (https://github.com/nipy/nipype/pull/2585)

> - ENH: LabelGeometryMeasures interface (https://github.com/nipy/nipype/pull/2586)

> - ENH: MRTrix3 dwidenoise interface (https://github.com/nipy/nipype/pull/2568)

> - ENH: ReportCapableInterface mix-in/base interface (https://github.com/nipy/nipype/pull/2560)

> - CI: Move PyPI deployment to Circle (https://github.com/nipy/nipype/pull/2587)

> - CI: Submit Travis results to codecov (https://github.com/nipy/nipype/pull/2574)

## 1.0.3 (April 30, 2018)

(Full changelog)

> - FIX: Propagate explicit Workflow config to Nodes (https://github.com/nipy/nipype/pull/2559)

> - FIX: Return non-enhanced volumes from dwi_flirt (https://github.com/nipy/nipype/pull/2547)

> - FIX: Skip filename generation when required fields are missing (https://github.com/nipy/nipype/pull/2549)

> - FIX: Fix Afni’s Allineate hashing and out_file (https://github.com/nipy/nipype/pull/2502)

> - FIX: Replace deprecated `HasTraits.get` with `trait_get` (https://github.com/nipy/nipype/pull/2534)

> - FIX: Typo in “antsRegistrationSyNQuick.sh” (https://github.com/nipy/nipype/pull/2544)

> - FIX: DTITK Interface (https://github.com/nipy/nipype/pull/2514)

> - FIX: Add `-mas` argument to fsl.utils.ImageMaths (https://github.com/nipy/nipype/pull/2529)

> - FIX: Build cmdline from working directory (https://github.com/nipy/nipype/pull/2521)

> - FIX: FSL orthogonalization bug (https://github.com/nipy/nipype/pull/2523)

> - FIX: Re-enable dcm2niix source_names (https://github.com/nipy/nipype/pull/2550)

> - ENH: Add an activation count map interface (https://github.com/nipy/nipype/pull/2522)

> - ENH: Revise the implementation of FuzzyOverlap (https://github.com/nipy/nipype/pull/2530)

> - ENH: Add MultiObject, ensure/simplify_list; alias old names for 1.x compatibility (https://github.com/nipy/nipype/pull/2517)

> - ENH: Add LibraryBaseInterface (https://github.com/nipy/nipype/pull/2538)

> - ENH: Define default output file template for afni.CatMatvec (https://github.com/nipy/nipype/pull/2527)

> - MAINT: Deprecate terminal_output and ignore_exception from CommandLine (https://github.com/nipy/nipype/pull/2552)

> - MAINT: Set traits default values properly (https://github.com/nipy/nipype/pull/2533)

> - MAINT: use RawConfigParser (https://github.com/nipy/nipype/pull/2542)

> - MAINT: Minor autotest cleanups (https://github.com/nipy/nipype/pull/2519)

> - CI: Add retry script for Docker commands (https://github.com/nipy/nipype/pull/2516)

## 1.0.2 (March 27, 2018)

(Full changelog)

> - FIX: dcm2niix interface (https://github.com/nipy/nipype/pull/2498)

> - FIX: mark .niml.dset as special extension in utils.filemanip (https://github.com/nipy/nipype/pull/2495)

> - FIX: handle automatic module creation, name extraction, default value (https://github.com/nipy/nipype/pull/2490)

> - FIX: Check and report mount table parsing failures (https://github.com/nipy/nipype/pull/2476)

> - FIX: Check against full node name when reconnecting JoinNodes (https://github.com/nipy/nipype/pull/2479)

> - DOC: Add tutorials, porcupine to users TOC (https://github.com/nipy/nipype/pull/2503

> - DOC: Contributing and testing (https://github.com/nipy/nipype/pull/2482)

> - DOC: Describe ‘orphaned’ tag in CONTRIBUTING (https://github.com/nipy/nipype/pull/2481)

> - DOC: Add details for dcm2niix output filename pattern (https://github.com/nipy/nipype/pull/2512)

> - ENH: Add interface for AFNI 3dNwarpAdjust (https://github.com/nipy/nipype/pull/2450)

> - ENH: Update SSHDataGrabber to fetch related files (https://github.com/nipy/nipype/pull/2104)

> - ENH: Add interpolation order parameter to NiftyReg’s RegTools (https://github.com/nipy/nipype/pull/2471)

> - MAINT: Stray warnings and exceptions (https://github.com/nipy/nipype/pull/2478)

> - MAINT: Add dev install option, update CONTRIBUTING (https://github.com/nipy/nipype/pull/2477)

> - MAINT: Sync requirements with info.py (https://github.com/nipy/nipype/pull/2472)

> - CI: Update Travis builds, Docker to use latest miniconda (https://github.com/nipy/nipype/pull/2455)

> - TEST: Parallelize pytest (https://github.com/nipy/nipype/pull/2469)

## 1.0.1 (February 27, 2018)

(Full changelog)

- FIX: Small bug in freesurfer label2annot fill_thresh specs [#2377](https://github.com/nipy/nipype/pull/2377)

- FIX: Error creating gradients in DTIRecon [#2460](https://github.com/nipy/nipype/pull/2460)

- FIX: improve matlab_cmd [#2452](https://github.com/nipy/nipype/pull/2452)

- FIX: Extract unit information from image header in CompCor [#2458](https://github.com/nipy/nipype/pull/2458)

- FIX: Update pybids data directory, unbundle out-of-date numpydoc [#2437](https://github.com/nipy/nipype/pull/2437)

- FIX: Out_file bugs in Afni.Zcat and Afni.Merge interfaces [#2424](https://github.com/nipy/nipype/pull/2424)

- FIX: Re-enable spm.Realign to take lists of lists of files [#2409](https://github.com/nipy/nipype/pull/2409)

- FIX: Remove deprecated output from ICC interface [#2422](https://github.com/nipy/nipype/pull/2422)

- FIX: Argstr for mask in Afni.BlurToFWHM [#2418](https://github.com/nipy/nipype/pull/2418)

- FIX: Default value for sbatch_args (SLURMGraph) [#2417](https://github.com/nipy/nipype/pull/2417)

- FIX: Ortvec argstr for Afni.Deconvolve [#2415](https://github.com/nipy/nipype/pull/2415)

- FIX: Bug fixes for afni.model [#2398](https://github.com/nipy/nipype/pull/2398)

- DOC: Add brief neurodocker tutorial [#2464](https://github.com/nipy/nipype/pull/2464)

- DOC: Fix tutorials [#2459](https://github.com/nipy/nipype/pull/2459)

- ENH: antsRegistrationSyNQuick interface [#2453](https://github.com/nipy/nipype/pull/2453)

- ENH: Automate updates of CHANGES [#2440](https://github.com/nipy/nipype/pull/2440)

- ENH: Add SPM Fieldmap Tool wrapper [#1905](https://github.com/nipy/nipype/pull/1905)

- ENH: Additional option for DataGrabber [#1915](https://github.com/nipy/nipype/pull/1915)

- ENH: Add 3dTproject AFNI interface, Fix OneDToolPy, Add -noFDR flag to 3dDeconvolve [#2426](https://github.com/nipy/nipype/pull/2426)

- ENH: c3d/c4d interface [#2430](https://github.com/nipy/nipype/pull/2430)

- ENH: Allow input weight for AFNI’s volreg. [#2396](https://github.com/nipy/nipype/pull/2396)

- ENH: Delay crashing if exception is raised in local hash check [#2410](https://github.com/nipy/nipype/pull/2410)

- CI: Add doctests to pytest script [#2449](https://github.com/nipy/nipype/pull/2449)

- CI: Ignore tests in calculating coverage [#2443](https://github.com/nipy/nipype/pull/2443)

- CI: Saturate Circle workflow [#2386](https://github.com/nipy/nipype/pull/2386)

- REF: Update and factor mount table parsing [#2444](https://github.com/nipy/nipype/pull/2444)

- REF: Make ignore_exception a class attribute [#2414](https://github.com/nipy/nipype/pull/2414)

## 1.0.0 (January 24, 2018)

(Full changelog)

- FIX: Change to interface workdir within `Interface.run()` instead Node (https://github.com/nipy/nipype/pull/2384)

- FIX: PBS plugin submissions (https://github.com/nipy/nipype/pull/2344)

- FIX: Graph plugins submissions (https://github.com/nipy/nipype/pull/2359)

- FIX: Logging error if % in interface command (https://github.com/nipy/nipype/pull/2364)

- FIX: Robustly handled outputs of 3dFWHMx across different versions of AFNI (https://github.com/nipy/nipype/pull/2373)

- FIX: Cluster threshold in randomise + change default prefix (https://github.com/nipy/nipype/pull/2369)

- FIX: Errors parsing `$DISPLAY` (https://github.com/nipy/nipype/pull/2363)

- FIX: MultiProc starting workers at dubious wd (https://github.com/nipy/nipype/pull/2368)

- FIX: Explicitly collect MultiProc job IDs (https://github.com/nipy/nipype/pull/2378)

- FIX: Correct Windows environment canonicalization (https://github.com/nipy/nipype/pull/2328)

- FIX: Linked libraries (https://github.com/nipy/nipype/pull/2322)

- REF+FIX: Move BIDSDataGrabber to interfaces.io + fix correct default behavior (https://github.com/nipy/nipype/pull/2336)

- REF+MAINT: Simplify hashing (https://github.com/nipy/nipype/pull/2383)

- MAINT: Cleanup Interfaces base (https://github.com/nipy/nipype/pull/2387)

- MAINT: Cleanup EngineBase (https://github.com/nipy/nipype/pull/2376)

- MAINT: Cleaning / simplify `Node` (https://github.com/nipy/nipype/pull/2325)

- MAINT+ENH: Update and extend MRtrix3 interfaces (https://github.com/nipy/nipype/pull/2338)

- ENH: Add AFNI interface for 3dConvertDset (https://github.com/nipy/nipype/pull/2337)

- ENH: Allow specific interface command prefixes (https://github.com/nipy/nipype/pull/2379)

- STY: Cleanup of PEP8 violations (https://github.com/nipy/nipype/pull/2358)

- STY: Cleanup of trailing spaces and adding of missing newlines at end of files (https://github.com/nipy/nipype/pull/2355)

- STY: Apply yapf to codebase (https://github.com/nipy/nipype/pull/2371)

- DOC: Updated guide for contributing (https://github.com/nipy/nipype/pull/2393)

## 0.14.0 (November 29, 2017)

(Full changelog)

- FIX+MAINT: Revision of the resource monitor (https://github.com/nipy/nipype/pull/2285)

- FIX: MultiProc mishandling crashes (https://github.com/nipy/nipype/pull/2301)

- MAINT: Revise use of subprocess.Popen (https://github.com/nipy/nipype/pull/2289)

- ENH: Memorize version checks (https://github.com/nipy/nipype/pull/2274, https://github.com/nipy/nipype/pull/2295)

### 0.14.0rc1 (November 21, 2017)

- ENH: Generate Dockerfiles with neurodocker (https://github.com/nipy/nipype/pull/2202)

- ENH: FLAIR options for recon-all (https://github.com/nipy/nipype/pull/2279)

- ENH: Config option for setting maxtasksperchild when multiprocessing (https://github.com/nipy/nipype/pull/2284)

- FIX: Testing maintenance and improvements (https://github.com/nipy/nipype/pull/2252)

- ENH: Add elapsed_time and final metric_value to ants.Registration (https://github.com/nipy/nipype/pull/1985)

- ENH: Improve terminal_output feature (https://github.com/nipy/nipype/pull/2209)

- ENH: Simple interface to FSL std2imgcoords (https://github.com/nipy/nipype/pull/2209, prev #1398)

- ENH: Centralize virtual/physical $DISPLAYs (https://github.com/nipy/nipype/pull/2203, https://github.com/nipy/nipype/pull/2211)

- ENH: New ResourceMonitor - replaces resource profiler (https://github.com/nipy/nipype/pull/2200)

- ENH: Quickshear interface (https://github.com/nipy/nipype/pull/2047)

- MAINT: updated deprecated HasTraits method (https://github.com/nipy/nipype/pull/2048)

- ENH: CLI versioning (https://github.com/nipy/nipype/pull/2054)

- ENH: Dual Regression interface (https://github.com/nipy/nipype/pull/2057)

- ENH: Additional args to ANTs registration (https://github.com/nipy/nipype/pull/2062, https://github.com/nipy/nipype/pull/2078)

- FIX: Mp2rage interfaces updated for new parameter names in cbstools 3 (https://github.com/nipy/nipype/pull/2065)

- MAINT: Removed automatic nipype folder creation in HOME (https://github.com/nipy/nipype/pull/2076)

- MAINT: Additional Windows support (https://github.com/nipy/nipype/pull/2085)

- ENH: Output realignment matrices from TOPUP (https://github.com/nipy/nipype/pull/2084)

- ENH: Additional AFNI interfaces: 3dZcat, 3dZeropad, 3dedge3, 3dDeconvolve, 3dQwarp, 1dCat, 3dNwarpApply, 3daxialize,

    3dREMLfit, 3dUndump, 3dCM, 3dSynthesize + more (https://github.com/nipy/nipype/pull/2087, https://github.com/nipy/nipype/pull/2090, https://github.com/nipy/nipype/pull/2095, https://github.com/nipy/nipype/pull/2099, https://github.com/nipy/nipype/pull/2103, https://github.com/nipy/nipype/pull/2114, https://github.com/nipy/nipype/pull/2135, https://github.com/nipy/nipype/pull/2186, https://github.com/nipy/nipype/pull/2201, https://github.com/nipy/nipype/pull/2210)

- MAINT: cleanup and update AFNI’s Allineate (https://github.com/nipy/nipype/pull/2098)

- ENH: Add cosine-basis high-pass-filter to CompCor, allow skip of initial volumes (https://github.com/nipy/nipype/pull/2107, https://github.com/nipy/nipype/pull/#2122)

- FIX: Catch more dcm2niix DTI conversions (https://github.com/nipy/nipype/pull/2110)

- FIX: Retrieve aseg + wmparc stats properly (https://github.com/nipy/nipype/pull/2117)

- ENH: ANTs MeasureImageSimilarity Interface (https://github.com/nipy/nipype/pull/2128)

- FIX: CompCor filter_basis of correct size, pre-filter column headers (https://github.com/nipy/nipype/pull/2136, https://github.com/nipy/nipype/pull/2138)

- ENH: FreeSurfer lta_convert and mri_coreg interfaces (https://github.com/nipy/nipype/pull/2140, https://github.com/nipy/nipype/pull/2172)

- ENH: Speed up S3DataGrabber (https://github.com/nipy/nipype/pull/2143)

- FIX: Allow S3DataGrabber to grab single file (https://github.com/nipy/nipype/pull/2147)

- FIX: Allow 4D images as inputs to buildtemplateparallel.sh and N4BiasFieldCorrection (https://github.com/nipy/nipype/pull/2151)

- MAINT: Detect and warn unconnected duplicate nodes (https://github.com/nipy/nipype/pull/2163)

- ENH: Calcmedian Interface (https://github.com/nipy/nipype/pull/2167)

- FIX: probtrackx2 outputs (https://github.com/nipy/nipype/pull/2169)

- ENH: Improve FreeSurfer registration (https://github.com/nipy/nipype/pull/2172)

- ENH: BIDSDataGrabber interface (https://github.com/nipy/nipype/pull/2174)

- MAINT: Set minimum numpy version to 1.9.0 (https://github.com/nipy/nipype/pull/2182)

- ENH: Support for multiple intial-moving-transforms (https://github.com/nipy/nipype/pull/2187)

- MAINT: Fixes for networkx and afni (https://github.com/nipy/nipype/pull/2196, https://github.com/nipy/nipype/pull/2171)

- TST: Update C3D version in Docker build (https://github.com/nipy/nipype/pull/2199)

- ENH: SimpleInterface interface (https://github.com/nipy/nipype/pull/2220)

- ENH: Add LTA to Tkregister2 (https://github.com/nipy/nipype/pull/2217)

## 0.13.1 (May 20, 2017)

- FIX: Make release compatible with conda-forge build process (https://github.com/nipy/nipype/pull/2017)

- ENH: Update some minimum versions in compliance with Debian Jessie (https://github.com/nipy/nipype/pull/2017)

- ENH: Circle builds use cached docker layers (https://github.com/nipy/nipype/pull/2017)

- ENH: Base docker to use FS6 and ANTS 2.2.0 (https://github.com/nipy/nipype/pull/2024)

- FIX: Mailmap and contributor acknowledgment (https://github.com/nipy/nipype/pull/2017)

- FIX: Preserve node properties in sub nodes of MapNode (https://github.com/nipy/nipype/pull/2019)

- FIX: Fix interfaces 3DUnifize, ICA_AROMA, BinaryMaths, RegAverage, BBRegister, AffineInitializer (https://github.com/nipy/nipype/pull/2025, https://github.com/nipy/nipype/pull/2027, https://github.com/nipy/nipype/pull/2036, https://github.com/nipy/nipype/pull/2037, https://github.com/nipy/nipype/pull/2031, https://github.com/nipy/nipype/pull/2010)

- ENH: Add Anisotropic Power interface (https://github.com/nipy/nipype/pull/2039)

- FIX: Bayesian estimation in SPM (https://github.com/nipy/nipype/pull/2030)

## 0.13.0 (May 11, 2017)

- ENH: Multi-stage recon-all directives (https://github.com/nipy/nipype/pull/1991)

- FIX: FEAT “folder does not exist” error (https://github.com/nipy/nipype/pull/2000)

- ENH: Niftyfit interfaces (https://github.com/nipy/nipype/pull/1910)

- FIX: Define ANTSPATH for BrainExtraction automatically (https://github.com/nipy/nipype/pull/1986)

- ENH: New trait for imaging files (https://github.com/nipy/nipype/pull/1949)

- ENH: Niftyseg interfaces (https://github.com/nipy/nipype/pull/1911)

- ENH: Niftyreg interfaces (https://github.com/nipy/nipype/pull/1913)

- MRG: Allow more support for CLI (https://github.com/nipy/nipype/pull/1908)

- ENH: 3dQwarpPlusMinus interface (https://github.com/nipy/nipype/pull/1974)

- FIX: PY3.6 support (https://github.com/nipy/nipype/pull/1977)

- FIX: PY3 and stream fixes for MRTrix2TrackVis (https://github.com/nipy/nipype/pull/1804)

- ENH: More mask options for CompCor interfaces (https://github.com/nipy/nipype/pull/1968 + https://github.com/nipy/nipype/pull/1992)

- ENH: Additional TOPUP outputs (https://github.com/nipy/nipype/pull/1976)

- ENH: Additional Eddy flags (https://github.com/nipy/nipype/pull/1967)

- ENH: ReconAll handlers for less common cases (https://github.com/nipy/nipype/pull/1966)

- ENH: FreeSurferSource now finds graymid/midthickness surfs (https://github.com/nipy/nipype/pull/1972)

- ENH: Additional fslmaths dimensional reduction operations (https://github.com/nipy/nipype/pull/1956)

- ENH: More options for RobustFOV interface (https://github.com/nipy/nipype/pull/1923)

- ENH: Add MRIsCombine to FreeSurfer utils (https://github.com/nipy/nipype/pull/1948)

- FIX: Level1Design EV parameter substitution (https://github.com/nipy/nipype/pull/1953)

- FIX: Dcm2niix outputs can be uncompressed (https://github.com/nipy/nipype/pull/1951)

- FIX: Ensure build fails in Circle when tests fail (https://github.com/nipy/nipype/pull/1981)

- ENH: Add interface to antsAffineInitializer (https://github.com/nipy/nipype/pull/1980)

- ENH: AFNI motion parameter support for FrameWiseDisplacement (https://github.com/nipy/nipype/pull/1840)

- ENH: Add ANTs KellyKapowski interface (https://github.com/nipy/nipype/pull/1845)

- FIX: AFNI interface bug setting OMP_NUM_THREADS to 1 (https://github.com/nipy/nipype/pull/1728)

- FIX: Select Eddy run command at runtime (https://github.com/nipy/nipype/pull/1871)

- FIX: Increase FLIRT’s flexibility with apply_xfm (https://github.com/nipy/nipype/pull/1875)

- DOC: Update FSL preprocess docstrings (https://github.com/nipy/nipype/pull/1881)

- ENH: Support GIFTI outputs in SampleToSurface (https://github.com/nipy/nipype/pull/1886)

- FIX: Configparser differences between PY2 and PY3 (https://github.com/nipy/nipype/pull/1890)

- ENH: Add mris_expand interface (https://github.com/nipy/nipype/pull/1893)

- FIX: Split over-eager globs in FreeSurferSource (https://github.com/nipy/nipype/pull/1894)

- FIX: Store undefined by default so that xor checks don’t trip (https://github.com/nipy/nipype/pull/1903)

- FIX: Gantt chart generator PY3 compatibility (https://github.com/nipy/nipype/pull/1907)

- FIX: Add DOF and –fsl-dof options to BBRegister (https://github.com/nipy/nipype/pull/1917)

- ENH: Auto-derive input_names in Function (https://github.com/nipy/nipype/pull/1918)

- FIX: Minor fixes for NonSteadyStateDetector (https://github.com/nipy/nipype/pull/1926)

- DOC: Add duecredit references for AFNI and FSL (https://github.com/nipy/nipype/pull/1930)

- ENH: Added zenodo (https://zenodo.org/) file (https://github.com/nipy/nipype/pull/1924)

- ENH: Disable symlinks on CIFS filesystems (https://github.com/nipy/nipype/pull/1941)

- ENH: Sphinx extension to plot workflows (https://github.com/nipy/nipype/pull/1896)

- ENH: Added non-steady state detector for EPI data (https://github.com/nipy/nipype/pull/1839)

- ENH: Enable new BBRegister init options for FSv6+ (https://github.com/nipy/nipype/pull/1811)

- REF: Splits nipype.interfaces.utility into base, csv, and wrappers (https://github.com/nipy/nipype/pull/1828)

- FIX: Makespec now runs with nipype in current directory (https://github.com/nipy/nipype/pull/1813)

- FIX: Flexible nifti opening with mmap if Numpy < 1.12.0 (https://github.com/nipy/nipype/pull/1796 + https://github.com/nipy/nipype/pull/1831)

- ENH: DVARS includes intensity normalization feature - turned on by default (https://github.com/nipy/nipype/pull/1827)

- FIX: DVARS is correctly using sum of squares instead of standard deviation (https://github.com/nipy/nipype/pull/1827)

- ENH: Refactoring of nipype.interfaces.utility (https://github.com/nipy/nipype/pull/1828)

- FIX: CircleCI were failing silently. Some fixes to tests (https://github.com/nipy/nipype/pull/1833)

- FIX: Issues in Docker image permissions, and docker documentation (https://github.com/nipy/nipype/pull/1825)

- ENH: Revised all Dockerfiles and automated deployment to Docker Hub

    from CircleCI (https://github.com/nipy/nipype/pull/1815)

- ENH: Update ReconAll interface for FreeSurfer v6.0.0 (https://github.com/nipy/nipype/pull/1790)

- FIX: Cast DVARS float outputs to avoid memmap error (https://github.com/nipy/nipype/pull/1777)

- FIX: FSL FNIRT intensity mapping files (https://github.com/nipy/nipype/pull/1799)

- ENH: Additional outputs generated by FSL EDDY (https://github.com/nipy/nipype/pull/1793)

- TST: Parallelize CircleCI build across 4 containers (https://github.com/nipy/nipype/pull/1769)

## 0.13.0-rc1 (January 4, 2017)

- FIX: Compatibility with traits 4.6 (https://github.com/nipy/nipype/pull/1770)

- FIX: Multiproc deadlock (https://github.com/nipy/nipype/pull/1756)

- TST: Replace nose and unittest with pytest (https://github.com/nipy/nipype/pull/1722, https://github.com/nipy/nipype/pull/1751)

- FIX: Semaphore capture using MultiProc plugin (https://github.com/nipy/nipype/pull/1689)

- REF: Refactor AFNI interfaces (https://github.com/nipy/nipype/pull/1678, https://github.com/nipy/nipype/pull/1680)

- ENH: Move nipype commands to group command using click (https://github.com/nipy/nipype/pull/1608)

- FIX: AFNI Retroicor interface fixes (https://github.com/nipy/nipype/pull/1669)

- FIX: Minor errors after migration to setuptools (https://github.com/nipy/nipype/pull/1671)

- ENH: Add AFNI 3dNote interface (https://github.com/nipy/nipype/pull/1637)

- ENH: Abandon distutils, only use setuptools (https://github.com/nipy/nipype/pull/1627)

- FIX: Minor bugfixes related to unicode literals (https://github.com/nipy/nipype/pull/1656)

- TST: Automatic retries in travis (https://github.com/nipy/nipype/pull/1659/files)

- ENH: Add signal extraction interface (https://github.com/nipy/nipype/pull/1647)

- ENH: Add a DVARS calculation interface (https://github.com/nipy/nipype/pull/1606)

- ENH: New interface to b0calc of FSL-POSSUM (https://github.com/nipy/nipype/pull/1399)

- ENH: Add CompCor (https://github.com/nipy/nipype/pull/1599)

- ENH: Add duecredit entries (https://github.com/nipy/nipype/pull/1466)

- FIX: Python 3 compatibility fixes (https://github.com/nipy/nipype/pull/1572)

- REF: Improved PEP8 compliance for fsl interfaces (https://github.com/nipy/nipype/pull/1597)

- REF: Improved PEP8 compliance for spm interfaces (https://github.com/nipy/nipype/pull/1593)

- TST: Replaced coveralls with codecov (https://github.com/nipy/nipype/pull/1609)

- ENH: More BrainSuite interfaces (https://github.com/nipy/nipype/pull/1554)

- ENH: Convenient load/save of interface inputs (https://github.com/nipy/nipype/pull/1591)

- ENH: Add a Framewise Displacement calculation interface (https://github.com/nipy/nipype/pull/1604)

- FIX: Use builtins open and unicode literals for py3 compatibility (https://github.com/nipy/nipype/pull/1572)

- TST: reduce the size of docker images & use tags for images (https://github.com/nipy/nipype/pull/1564)

- ENH: Implement missing inputs/outputs in FSL AvScale (https://github.com/nipy/nipype/pull/1563)

- FIX: Fix symlink test in copyfile (https://github.com/nipy/nipype/pull/1570, https://github.com/nipy/nipype/pull/1586)

- ENH: Added support for custom job submission check in SLURM (https://github.com/nipy/nipype/pull/1582)

- ENH: Added ANTs interface CreateJacobianDeterminantImage; replaces deprecated JacobianDeterminant

    (https://github.com/nipy/nipype/pull/1654)

## Release 0.12.1 (August 3, 2016)

- FIX: runtime profiling is optional and off by default (https://github.com/nipy/nipype/pull/1561)

- TST: circle CI tests run with docker (https://github.com/nipy/nipype/pull/1541)

- FIX: workflow export functions without import error (https://github.com/nipy/nipype/pull/1552)

## Release 0.12.0 (July 12, 2016)

- ENH: New interface for Bruker to Nifti converter (https://github.com/nipy/nipype/pull/1523)

- FIX: output file naming for FIRST outputs (https://github.com/nipy/nipype/pull/1524)

- ENH: Adds fslmaths -Tstd to maths interfaces (https://github.com/nipy/nipype/pull/1518)

- FIX: Selecting “gamma” in FSL Level1Design now does what the name says (https://github.com/nipy/nipype/pull/1500)

- ENH: Added grad_dev input to fsl.dti.bedpostx5 interface(https://github.com/nipy/nipype/pull/1493)

- ENH: ResourceMultiProc plugin to support resource allocation (https://github.com/nipy/nipype/pull/1372)

- ENH: Added dcm2niix interface (https://github.com/nipy/nipype/pull/1435)

- ENH: Add nipype_crash_search command (https://github.com/nipy/nipype/pull/1422)

- ENH: Created interface for BrainSuite Cortical Surface Extraction command line tools (https://github.com/nipy/nipype/pull/1305)

- FIX: job execution on systems/approaches where locale is undefined (https://github.com/nipy/nipype/pull/1401)

- FIX: Clean up byte/unicode issues using subprocess (https://github.com/nipy/nipype/pull/1394)

- FIX: Prevent crash when tvtk is loaded - ETS_TOOLKIT=null (https://github.com/nipy/nipype/pull/973)

- ENH: New interfaces in dipy: RESTORE, EstimateResponseSH, CSD and StreamlineTractography

    (https://github.com/nipy/nipype/pull/1090)

- ENH: Added interfaces of AFNI (https://github.com/nipy/nipype/pull/1360,

    https://github.com/nipy/nipype/pull/1361, https://github.com/nipy/nipype/pull/1382)

- ENH: Provides a Nipype wrapper for antsJointFusion (https://github.com/nipy/nipype/pull/1351)

- ENH: Added support for PETPVC (https://github.com/nipy/nipype/pull/1335)

- ENH: Merge S3DataSink into DataSink, added AWS documentation (https://github.com/nipy/nipype/pull/1316)

- TST: Cache APT in CircleCI (https://github.com/nipy/nipype/pull/1333)

- ENH: Add new flags to the BRAINSABC for new features (https://github.com/nipy/nipype/pull/1322)

- ENH: Provides a Nipype wrapper for ANTs DenoiseImage (https://github.com/nipy/nipype/pull/1291)

- FIX: Minor bugfix logging hash differences (https://github.com/nipy/nipype/pull/1298)

- FIX: Use released Prov python library (https://github.com/nipy/nipype/pull/1279)

- ENH: Support for Python 3 (https://github.com/nipy/nipype/pull/1221)

- FIX: VTK version check missing when using tvtk (https://github.com/nipy/nipype/pull/1219)

- ENH: Added an OAR scheduler plugin (https://github.com/nipy/nipype/pull/1259)

- ENH: New ANTs interface: antsBrainExtraction (https://github.com/nipy/nipype/pull/1231)

- API: Default model level for the bedpostx workflow has been set to “2” following FSL 5.0.9 lead

- ENH: New interfaces for interacting with AWS S3: S3DataSink and S3DataGrabber (https://github.com/nipy/nipype/pull/1201)

- ENH: Interfaces for MINC tools (https://github.com/nipy/nipype/pull/1304)

- FIX: Use realpath to determine hard link source (https://github.com/nipy/nipype/pull/1388)

- FIX: Correct linking/copying fallback behavior (https://github.com/nipy/nipype/pull/1391)

- ENH: Nipype workflow and interfaces for FreeSurfer’s recon-all (https://github.com/nipy/nipype/pull/1326)

- FIX: Permit relative path for concatenated_file input to Concatenate() (https://github.com/nipy/nipype/pull/1411)

- ENH: Makes ReconAll workflow backwards compatible with FreeSurfer 5.3.0 (https://github.com/nipy/nipype/pull/1434)

- ENH: Added interfaces for AFNI 3dDegreeCentrality, 3dECM, 3dLFCD, 3dClipLevel, 3dmask_tool, and 3dSeg

    (https://github.com/nipy/nipype/pull/1460)

## Release 0.11.0 (September 15, 2015)

- API: Change how hash values are computed (https://github.com/nipy/nipype/pull/1174)

- ENH: New algorithm: mesh.WarpPoints applies displacements fields to point sets

    (https://github.com/nipy/nipype/pull/889).

- ENH: New interfaces for MRTrix3 (https://github.com/nipy/nipype/pull/1126)

- ENH: New option in afni.3dRefit - zdel, ydel, zdel etc. (https://github.com/nipy/nipype/pull/1079)

- FIX: ants.Registration composite transform outputs are no longer returned as lists (https://github.com/nipy/nipype/pull/1183)

- BUG: ANTs Registration interface failed with multi-modal inputs

    (https://github.com/nipy/nipype/pull/1176) (https://github.com/nipy/nipype/issues/1175)

- ENH: dipy.TrackDensityMap interface now accepts a reference image (https://github.com/nipy/nipype/pull/1091)

- FIX: Bug in XFibres5 (https://github.com/nipy/nipype/pull/1168)

- ENH: Attempt to use hard links for data sink.

    (https://github.com/nipy/nipype/pull/1161)

- FIX: Updates to SGE Plugins

    (https://github.com/nipy/nipype/pull/1129)

- ENH: Add ants JointFusion() node with testing

    (https://github.com/nipy/nipype/pull/1160)

- ENH: Add –float option for antsRegistration calls

    (https://github.com/nipy/nipype/pull/1159)

- ENH: Added interface to simulate DWIs using the multi-tensor model

    (https://github.com/nipy/nipype/pull/1085)

- ENH: New interface for FSL fslcpgeom utility (https://github.com/nipy/nipype/pull/1152)

- ENH: Added SLURMGraph plugin for submitting jobs to SLURM with dependencies (https://github.com/nipy/nipype/pull/1136)

- FIX: Enable absolute path definitions in DCMStack (https://github.com/nipy/nipype/pull/1089,

    replaced by https://github.com/nipy/nipype/pull/1093)

- ENH: New mesh.MeshWarpMaths to operate on surface-defined warpings

    (https://github.com/nipy/nipype/pull/1016)

- FIX: Refactor P2PDistance, change name to ComputeMeshWarp, add regression tests,

    fix bug in area weighted distance, and added optimizations (https://github.com/nipy/nipype/pull/1016)

- ENH: Add an option not to resubmit Nodes that finished running when using SGEGraph (https://github.com/nipy/nipype/pull/1002)

- FIX: FUGUE is now properly listing outputs. (https://github.com/nipy/nipype/pull/978)

- ENH: Improved FieldMap-Based (FMB) workflow for correction of susceptibility distortions in EPI seqs.

    (https://github.com/nipy/nipype/pull/1019)

- FIX: In the FSLXcommand _list_outputs function fixed for loop range (https://github.com/nipy/nipype/pull/1071)

- ENH: Dropped support for now 7 years old Python 2.6 (https://github.com/nipy/nipype/pull/1069)

- FIX: terminal_output is not mandatory anymore (https://github.com/nipy/nipype/pull/1070)

- ENH: Added “nipype_cmd” tool for running interfaces from the command line (https://github.com/nipy/nipype/pull/795)

- FIX: Fixed Camino output naming (https://github.com/nipy/nipype/pull/1061)

- ENH: Add the average distance to ErrorMap (https://github.com/nipy/nipype/pull/1039)

- ENH: Inputs with name_source can be now chained in cascade (https://github.com/nipy/nipype/pull/938)

- ENH: Improve JSON interfaces: default settings when reading and consistent output creation

    when writing (https://github.com/nipy/nipype/pull/1047)

- FIX: AddCSVRow problems when using infields (https://github.com/nipy/nipype/pull/1028)

- FIX: Removed unused ANTS registration flag (https://github.com/nipy/nipype/pull/999)

- FIX: Amend create_tbss_non_fa() workflow to match FSL’s tbss_non_fa command. (https://github.com/nipy/nipype/pull/1033)

- FIX: remove unused mandatory flag from spm normalize (https://github.com/nipy/nipype/pull/1048)

- ENH: Update ANTSCorticalThickness interface (https://github.com/nipy/nipype/pull/1013)

- FIX: Edge case with sparsemodels and PEP8 cleanup (https://github.com/nipy/nipype/pull/1046)

- ENH: New io interfaces for JSON files reading/writing (https://github.com/nipy/nipype/pull/1020)

- ENH: Enhanced openfmri script to support freesurfer linkage (https://github.com/nipy/nipype/pull/1037)

- BUG: matplotlib is supposed to be optional (https://github.com/nipy/nipype/pull/1003)

- FIX: Fix split_filename behaviour when path has no file component (https://github.com/nipy/nipype/pull/1035)

- ENH: Updated FSL dtifit to include option for grad non-linearities (https://github.com/nipy/nipype/pull/1032)

- ENH: Updated Camino tracking interfaces, which can now use FSL bedpostx output.

    New options also include choice of tracker, interpolator, stepsize and curveinterval for angle threshold (https://github.com/nipy/nipype/pull/1029)

- FIX: Interfaces redirecting X crashed if $DISPLAY not defined (https://github.com/nipy/nipype/pull/1027)

- FIX: Bug crashed ‘make api’ (https://github.com/nipy/nipype/pull/1026)

- ENH: Updated antsIntroduction to handle RA and RI registrations (https://github.com/nipy/nipype/pull/1009)

- ENH: Updated N4BiasCorrection input spec to include weight image and spline order. Made

    argument formatting consistent. Cleaned ants.segmentation according to PEP8. (https://github.com/nipy/nipype/pull/990/files)

- ENH: SPM12 Normalize interface (https://github.com/nipy/nipype/pull/986)

- FIX: Utility interface test dir (https://github.com/nipy/nipype/pull/986)

- FIX: IPython engine directory reset after crash (https://github.com/nipy/nipype/pull/987)

- ENH: Resting state fMRI example with NiPy realignment and no SPM (https://github.com/nipy/nipype/pull/992)

- FIX: Corrected Freesurfer SegStats _list_outputs to avoid error if summary_file is

    undefined (issue #994)(https://https://github.com/nipy/nipype/pull/996)

- FIX: OpenfMRI support and FSL 5.0.7 changes (https://github.com/nipy/nipype/pull/1006)

- FIX: Output prefix in SPM Normalize with modulation (https://github.com/nipy/nipype/pull/1023)

- ENH: Usability improvements in cluster environments (https://github.com/nipy/nipype/pull/1025)

- ENH: ANTs JointFusion() (https://github.com/nipy/nipype/pull/1042)

- ENH: Added csvReader() utility (https://github.com/nipy/nipype/pull/1044)

- FIX: typo in nipype.interfaces.freesurfer.utils.py Tkregister2 (https://github.com/nipy/nipype/pull/1083)

- FIX: SSHDataGrabber outputs now return full path to the grabbed/downloaded files. (https://github.com/nipy/nipype/pull/1086)

- FIX: Add QA output for TSNR to resting workflow (https://github.com/nipy/nipype/pull/1088)

- FIX: Change N4BiasFieldCorrection to use short tag for dimensionality (backward compatible) (https://github.com/nipy/nipype/pull/1096)

- ENH: Added -newgrid input to Warp in AFNI (3dWarp wrapper) (https://github.com/nipy/nipype/pull/1128)

- FIX: Fixed AFNI Copy interface to use positional inputs as required (https://github.com/nipy/nipype/pull/1131)

- ENH: Added a check in Dcm2nii to check if nipype created the config.ini file and remove if true (https://github.com/nipy/nipype/pull/1132)

- ENH: Use a while loop to wait for Xvfb (up to a max wait time “xvfb_max_wait” in config file, default 10)

    (https://github.com/nipy/nipype/pull/1142)

## Release 0.10.0 (October 10, 2014)

- ENH: New miscellaneous interfaces: SplitROIs (mapper), MergeROIs (reducer)

    to enable parallel processing of very large images.

- ENH: Updated FSL interfaces: BEDPOSTX and XFibres, former interfaces are still

    available with the version suffix: BEDPOSTX4 and XFibres4. Added gpu versions of BEDPOSTX: BEDPOSTXGPU, BEDPOSTX5GPU, and BEDPOSTX4GPU

- ENH: Added experimental support for MIPAV algorithms through JIST plugins

- ENH: New dipy interfaces: Denoise, Resample

- ENH: New Freesurfer interfaces: Tkregister2 (for conversion of fsl style matrices to freesurfer format), MRIPretess

- ENH: New FSL interfaces: WarpPoints, WarpPointsToStd, EpiReg, ProbTrackX2, WarpUtils, ConvertWarp

- ENH: New miscellaneous interfaces: AddCSVRow, NormalizeProbabilityMapSet, AddNoise

- ENH: New AFNI interfaces: Eval, Means, SVMTest, SVMTrain

- ENH: FUGUE interface has been refactored to use the name_template system, 3 examples

    added to doctests, some bugs solved.

- API: Interfaces to external packages are no longer available in the top-level

    `nipype` namespace, and must be imported directly (e.g. `from nipype.interfaces import fsl`).

- ENH: Support for elastix via a set of new interfaces: Registration, ApplyWarp,

    AnalyzeWarp, PointsWarp, and EditTransform

- ENH: New ANTs interface: ApplyTransformsToPoints, LaplacianThickness

- ENH: New Diffusion Toolkit interface: TrackMerge

- ENH: New MRtrix interface: FilterTracks

- ENH: New metrics group in algorithms. Now Distance, Overlap, and FuzzyOverlap

    are found in nipype.algorithms.metrics instead of misc. Overlap interface extended to allow files containing multiple ROIs and volume physical units.

- ENH: New interface in algorithms.metrics: ErrorMap (a voxel-wise diff map).

- ENH: New FreeSurfer workflow: create_skullstripped_recon_flow()

- ENH: Deep revision of workflows for correction of dMRI artifacts. New dmri_preprocessing

    example.

- ENH: New data grabbing interface that works over SSH connections, SSHDataGrabber

- ENH: New color mode for write_graph

- ENH: You can now force MapNodes to be run serially

- ENH: Added ANTS based openfmri workflow

- ENH: MapNode now supports flattening of nested lists

- ENH: Support for headless mode using Xvfb

- ENH: nipype_display_crash has a debugging mode

- FIX: MRTrix tracking algorithms were ignoring mask parameters.

- FIX: FNIRT registration pathway and associated OpenFMRI example script

- FIX: spm12b compatibility for Model estimate

- FIX: Batch scheduler controls the number of maximum jobs properly

- FIX: Update for FSL 5.0.7 which deprecated Contrast Manager

## Release 0.9.2 (January 31, 2014)

- FIX: DataFinder was broken due to a typo

- FIX: Order of DataFinder outputs was not guaranteed, it’s human sorted now

- ENH: New interfaces: Vnifti2Image, VtoMat

## Release 0.9.1 (December 25, 2013)

- FIX: installation issues

## Release 0.9.0 (December 20, 2013)

- ENH: SelectFiles: a streamlined version of DataGrabber

- ENH: new tools for defining workflows: JoinNode, synchronize and itersource

- ENH: W3C PROV support with optional RDF export built into Nipype

- ENH: Added support for Simple Linux Utility Resource Management (SLURM)

- ENH: AFNI interfaces refactor, prefix, suffix are replaced by

    “flexible_%s_templates”

- ENH: New SPM interfaces:

    - spm.ResliceToReference,

    - spm.DicomImport

- ENH: New AFNI interfaces:

    - afni.AFNItoNIFTI

    - afni.TCorr1D

- ENH: Several new interfaces related to Camino were added:

    - camino.SFPICOCalibData

    - camino.Conmat

    - camino.QBallMX

    - camino.LinRecon

    - camino.SFPeaks

  One outdated interface no longer part of Camino was removed:

    - camino.Conmap

- ENH: Three new mrtrix interfaces were added:

    - mrtrix.GenerateDirections

    - mrtrix.FindShPeaks

    - mrtrix.Directions2Amplitude

- ENH: New FSL interfaces:

    - fsl.PrepareFieldmap

    - fsl.TOPUP

    - fsl.ApplyTOPUP

    - fsl.Eddy

- ENH: New misc interfaces:

    - FuzzyOverlap,

    - P2PDistance

- ENH: New workflows: nipype.workflows.dmri.fsl.epi.[fieldmap_correction&topup_correction]

- ENH: Added simplified outputname generation for command line interfaces.

- ENH: Allow ants use a single mask image

- ENH: Create configuration option for parameterizing directories with hashes

- ENH: arrange nodes by topological sort with disconnected subgraphs

- ENH: uses the nidm iri namespace for uuids

- ENH: remove old reporting webpage

- ENH: Added support for Vagrant

- API: ‘name’ is now a positional argument for Workflow, Node, and MapNode constructors

- API: SPM now defaults to SPM8 or SPM12b job format

- API: DataGrabber and SelectFiles use human (or natural) sort now

- FIX: Several fixes related to Camino interfaces:

    - ProcStreamlines would ignore many arguments silently (target, waypoint, exclusion ROIS, etc.)

    - DTLUTGen would silently round the “step”, “snr” and “trace” parameters to integers

    - PicoPDFs would not accept more than one lookup table

    - PicoPDFs default pdf did not correspond to Camino default

    - Track input model names were outdated (and would generate an error)

    - Track numpds parameter could not be set for deterministic tractography

    - FA created output files with erroneous extension

- FIX: Deals properly with 3d files in SPM Realign

- FIX: SPM with MCR fixed

- FIX: Cleaned up input and output spec metadata

- FIX: example openfmri script now makes the contrast spec a hashed input

- FIX: FILMGLS compatibility with FSL 5.0.5

- FIX: Freesurfer recon-all resume now avoids setting inputs

- FIX: File removal from node respects file associations img/hdr/mat, BRIK/HEAD

## Release 0.8.0 (May 8, 2013)

- ENH: New interfaces: nipy.Trim, fsl.GLM, fsl.SigLoss, spm.VBMSegment, fsl.InvWarp,

    dipy.TensorMode

- ENH: Allow control over terminal output for commandline interfaces

- ENH: Added preliminary support for generating Python code from Workflows.

- ENH: New workflows for dMRI and fMRI pre-processing: added motion artifact correction

    with rotation of the B-matrix, and susceptibility correction for EPI imaging using fieldmaps. Updated eddy_correct pipeline to support both dMRI and fMRI, and new parameters.

- ENH: Minor improvements to FSL’s FUGUE and FLIRT interfaces

- ENH: Added optional dilation of parcels in cmtk.Parcellate

- ENH: Interpolation mode added to afni.Resample

- ENH: Function interface can accept a list of strings containing import statements

    that allow external functions to run without their imports defined in the function body

- ENH: Allow node configurations to override master configuration

- FIX: SpecifyModel works with 3D files correctly now.

## Release 0.7.0 (Dec 18, 2012)

- ENH: Add basic support for LSF plugin.

- ENH: New interfaces: ICC, Meshfix, ants.Register, C3dAffineTool, ants.JacobianDeterminant,

    afni.AutoTcorrelate, DcmStack

- ENH: New workflows: ants template building (both using ‘ANTS’ and the new ‘antsRegistration’)

- ENH: New examples: how to use ANTS template building workflows (smri_ants_build_tmeplate),

    how to set SGE specific options (smri_ants_build_template_new)

- ENH: added no_flatten option to Merge

- ENH: added versioning option and checking to traits

- ENH: added deprecation metadata to traits

- ENH: Slicer interfaces were updated to version 4.1

## Release 0.6.0 (Jun 30, 2012)

- API: display variable no longer encoded as inputs in commandline interfaces

- ENH: input hash not modified when environment DISPLAY is changed

- ENH: support for 3d files for TSNR calculation

- ENH: Preliminary support for graph submission with SGE, PBS and Soma Workflow

- ENH: New interfaces: MySQLSink, nipy.Similarity, WatershedBEM, MRIsSmooth,

    NetworkBasedStatistic, Atropos, N4BiasFieldCorrection, ApplyTransforms, fs.MakeAverageSubject, epidewarp.fsl, WarpTimeSeriesImageMultiTransform, AVScale, mri_ms_LDA

- ENH: simple interfaces for spm

- FIX: CompCor component calculation was erroneous

- FIX: filename generation for AFNI and PRELUDE

- FIX: improved slicer module autogeneration

- FIX: added missing options for BBRegsiter

- FIX: functionality of remove_unnecessary_ouputs cleaned up

- FIX: local hash check works with appropriate inputs

- FIX: Captures all stdout from commandline programs

- FIX: Afni outputs should inherit from TraitedSpec

## Release 0.5.3 (Mar 23, 2012)

- FIX: SPM model generation when output units is in scans

## Release 0.5.2 (Mar 14, 2012)

- API: Node now allows specifying node level configuration for SGE/PBS clusters

- API: Logging to file is disabled by default

- API: New location of log file -> .nipype/nipype.cfg

- ENH: Changing logging options via config works for distributed processing

- FIX: Unittests on debian (logging and ipython)

## Release 0.5 (Mar 10, 2012)

- API: FSL defaults to Nifti when OUTPUTTYPE environment variable not found

- API: By default inputs are removed from Node working directory

- API: InterfaceResult class is now versioned and stores class type not instance

- API: Added FIRST interface

- API: Added max_jobs parameter to plugin_args. limits the number of jobs

    executing at any given point in time

- API: crashdump_dir is now a config execution option

- API: new config execution options for controlling hash checking, execution and

    logging behavior when running in distributed mode.

- API: Node/MapNode has new attribute that allows it to run on master thread.

- API: IPython plugin now invokes IPython 0.11 or greater

- API: Canned workflows are now all under a different package structure

- API: SpecifyModel event_info renamed to event_files

- API: DataGrabber is always being rerun (unless overwrite is set to False on

    Node level)

- API: “stop_on_first_rerun” does not stop for DataGrabber (unless overwrite is

    set to True on Node level)

- API: Output prefix can be set for spm nodes (SliceTiming, Realign, Coregister,

    Normalize, Smooth)

- ENH: Added fsl resting state workflow based on behzadi 2007 CompCorr method.

- ENH: TSNR node produces mean and std-dev maps; allows polynomial detrending

- ENH: IdentityNodes are removed prior to execution

- ENH: Added Michael Notter’s beginner’s guide

- ENH: Added engine support for status callback functions

- ENH: SPM create warped node

- ENH: All underlying interfaces (including python ones) are now optional

- ENH: Added imperative programming option with Nodes and caching

- ENH: Added debug mode to configuration

- ENH: Results can be stored and loaded without traits exceptions

- ENH: Added concurrent log handler for distributed writing to log file

- ENH: Reporting can be turned off using config

- ENH: Added stats files to FreeSurferOutput

- ENH: Support for Condor through qsub emulation

- ENH: IdentityNode with iterable expansion takes place after remaining Identity

    Node removal

- ENH: Crashfile display script added

- ENH: Added FmriRealign4d node wrapped from nipy

- ENH: Added TBSS workflows and examples

- ENH: Support for openfmri data processing

- ENH: Package version check

- FIX: Fixed spm preproc workflow to cater to multiple functional runs

- FIX: Workflow outputs displays nodes with empty outputs

- FIX: SUSAN workflow works without usans

- FIX: SGE fixed for reading custom templates

- FIX: warping in SPM realign, Dartel and interpolation parameters

- FIX: Fixed voxel size parameter in freesurfer mri_convert

- FIX: 4D images in spm coregister

- FIX: Works around matlab tty bug

- FIX: Overwriting connection raises exception

- FIX: Outputs are loaded from results and not stored in memory for during

    distributed operation

- FIX: SPM threshold uses SPM.mat name and improved error detection

- FIX: Removing directory contents works even when a node has no outputs

- FIX: DARTEL workflows will run only when SPM 8 is available

- FIX: SPM Normalize estimate field fixed

- FIX: hashmethod argument now used for calculating hash of old file

- FIX: Modelgen now allows FSL style event files

## Release 0.4.1 (Jun 16, 2011)

- Minor bugfixes

## Release 0.4 (Jun 11, 2011)

- API: Timestamp hashing does not use ctime anymore. Please update your hashes by

    running workflows with updatehash=True option NOTE: THIS IS THE DEFAULT CONFIG NOW, so unless you updatehash, workflows will rerun

- API: Workflow run function no longer supports (inseries, createdirsonly).

    Functions used in connect string must be pickleable

- API: SPM EstimateContrast: ignore_derivs replaced by use_derivs

- API: All interfaces: added new config option ignore_exception

- API: SpecifModel no longer supports (concatenate_runs, output_specs). high_pass_filter

    cutoff is mandatory (even if its set to np.inf). Additional interfaces SpecifySPMModel and SpecifySparseModel support other types of data.

- API: fsl.DTIFit input “save” is now called “save_tensor”

- API: All inputs of IdentityInterfaces are mandatory by default. You can turn

    this off by specifying mandatory_inputs=False to the constructor.

- API: fsl FILMGLS input “autocorr_estimate” is now called “autocorr_estimate_only”

- API: fsl ContrastMgr now requires access to specific files (no longer accepts

    the result directory)

- API: freesurfer.GLMFit input “surf” is now a boolean with three corresponding

    inputs – subject_id, hemi, and surf_geo

- ENH: All commandline interfaces display stdout and stderr

- ENH: All interfaces raise exceptions on error with an option to suppress

- ENH: Supports a plugin interface for execution (current support for multiprocessing,

    IPython, SGE, PBS)

- ENH: MapNode runs in parallel under IPython, SGE, MultiProc, PBS

- ENH: Optionally allows keeping only required outputs

- ENH: New interface: utility.Rename to change the name of files, optionally

    using python string-formatting with inputs or regular expressions matching

- ENH: New interface: freesurfer.ApplyMask (mri_mask)

- ENH: New FSL interface – SwapDimensions (fslswapdim)

- ENH: Sparse models allow regressor scaling and temporal derivatives

- ENH: Added support for the component parts of FSL’s TBSS workflow (TBSSSkeleton

    and DistanceMap)

- ENH: dcm2nii interface exposes bvals, bvecs, reoriented and cropped images

- ENH: Added several higher-level interfaces to the fslmaths command:

    - ChangeDataType, Threshold, MeanImage, IsotropicSmooth, ApplyMask, TemporalFilter DilateImage, ErodeImage, SpatialFilter, UnaryMaths, BinaryMaths, MultiImageMaths

- ENH: added support for networx 1.4 and improved iterable expansion

- ENH: Replaced BEDPOSTX and EddyCurrent with nipype pipelines

- ENH: Ability to create a hierarchical dot file

- ENH: Improved debugging information for rerunning nodes

- ENH: Added ‘stop_on_first_rerun’ option

- ENH: Added support for Camino

- ENH: Added support for Camino2Trackvis

- ENH: Added support for Connectome Viewer

- BF: dcm2nii interface handles gzipped files correctly

- BF: FNIRT generates proper outputs

- BF: fsl.DTIFit now properly collects tensor volume

- BF: updatehash now removes old result hash file

## Release 0.3.4 (Jan 12, 2011)

- API: hash values for float use a string conversion up to the 10th decimal place.

- API: Iterables in output path will always be generated as _var1_val1_var2_val2 pairs

- ENH: Added support to nipy: GLM fit, contrast estimation and calculating mask from EPI

- ENH: Added support for manipulating surface files in Freesurfer:

    - projecting volume images onto the surface

    - smoothing along the surface

    - transforming a surface image from one subject to another

    - using tksurfer to save pictures of the surface

- ENH: Added support for flash processing using FreeSurfer

- ENH: Added support for flirt matrix in BBRegister

- ENH: Added support for FSL convert_xfm

- ENH: hashes can be updated again without rerunning all nodes.

- ENH: Added multiple regression design for FSL

- ENH: Added SPM based Analyze to Nifti converter

- ENH: Added increased support for PyXNAT

- ENH: Added support for MCR-based binary version of SPM

- ENH: Added SPM node for calculating various threshold statistics

- ENH: Added distance and dissimilarity measurements

- BF: Diffusion toolkit gets installed

- BF: Changed FNIRT interface to accept flexible lists (rather than 4-tuples)

    on all options specific to different subsampling levels

## Release 0.3.3 (Sep 16, 2010)

- API: subject_id in ModelSpec is now deprecated

- API: spm.Threshold - does not need mask, beta, RPV anymore - takes only one image (stat_image - mind the name change) - works with SPM2 SPM.mat - returns additional map - pre topological FDR

- ENH: Added support for Diffusion toolkit

- ENH: Added support for FSL slicer and overlay

- ENH: Added support for dcm2nii

- BF: DataSink properly handles lists of lists now

- BF: DataGrabber has option for raising Exception on getting empty lists

- BF: Traits logic for ‘requires’ metadata

- BF: allows workflows to be relocatable

- BF: nested workflows with connections don’t raise connection not found error

- BF: multiple workflows with identical nodenames and iterables do not create nestsed workflows

## Release 0.3.2 (Aug 03, 2010)

### Enhancements

> - all outputs from nodes are now pickled as part of workflow processing

> - added git developer docs

### Bugs fixed

- FreeSurfer

  - Fixed bugs in SegStats doctest

## Release 0.3.1 (Jul 29, 2010)

### Bugs fixed

- FreeSurfer

  - Fixed bugs in glmfit and concatenate

  - Added group t-test to freesurfer tutorial

## Release 0.3 (Jul 27, 2010)

### Incompatible changes

- Complete redesign of the Interface class - heavy use of Traits.

- Changes in the engine API - added Workflow and MapNode. Compulsory name argument.

### Features added

- General:

  - Type checking of inputs and outputs using Traits from ETS.

  - Support for nested workflows.

  - Preliminary Slicer and AFNI support.

  - New flexible DataGrabber node.

  - AtlasPick and Threshold nodes.

  - Preliminary support for XNAT.

  - Doubled number of the tutorials.

- FSL:

  - Added DTI processing nodes (note that TBSS nodes are still experimental).

  - Recreated FEAT workflow.

- SPM:

  - Added New Segment and many other nodes.

  - Redesigned second level analysis.